/*==============================================================================
|                               SAS SAMPLE FILE
|
| NAME:    account_profile_prep.sas
| PRODUCT: SAS Compliance Solutions
| SYSTEM:  UNIX/WINDOWS
================================================================================

PREP FILE DESCRIPTION
---------------------
Creates account_profile prep data set


PREP FILE NOTES
---------------
None


PREP DATA SET(S) CREATED
------------------------
MST_PREP.ACCOUNT_PROFILE


PREP DATA SET(S) SORT ORDER
----------------------------

| Data Set                         Field                           Sort Order
|--------------------------------|-------------------------------|--------------
|ACCOUNT_PROFILE                 |ACCOUNT_NUMBER                 |1


PREP DATA SET(S) VOLUME
-----------------------
1. Contingent on the maximum scenario duration of the scenarios registered to
this prep data set.


PREP DATA SET(S) NOTES
----------------------
1. Although MONTH_KEY is not necessary in either the final prep data set or the
header definition, the final sort order presumes profile records appear ordered
by MONTH_KEY (ascending).


================================================================================
SCENARIO(S) SUPPORTED:

- SAS10024
- SAS10036
- SAS10038
- SAS10076
==============================================================================*/

/*-------------------------------------------------------------------
 * Copyright (c) 2012-2014 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/

 proc sql;
   create table mst_prep.account_profile as
    select a.account_number,
           a.account_type_desc,
           b.avg_account_value_amount,
           b.cust_initiated_trans_count,
           b.max_account_value_amount,
           b.min_account_value_amount,
           b.total_credits_amount,
           b.total_debits_amount,
           b.total_wire_credits_amount,
           b.total_wire_debits_amount,
           b.wires_count,
           b.month_key,
           a.entity_segment_id
      from seg_kc.fsc_account_dim a,
           seg_kc.fsc_account_profile_fact b
     where a.account_number = b.account_number
       and a.change_current_ind = 'Y'
    order by account_number,
             month_key;
 quit;
