/*----------------------------------------------------------------------------
 *    NAME: cdd_prep_create_empty_data_sets.sas
 *   TITLE: Create empty prep data sets for use in Rule
 *          Administrator after installation/configuration
 * PRODUCT:  SAS Customer Due Diligence
 *  SYSTEM: UNIX/Windows
 *----------------------------------------------------------------------------*/

/*-------------------------------------------------------------------
 * Copyright (c) 2013-2014 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/
%let lib=cm_prep;
data  &lib..cddds_entity_risk_prep 
      &lib..cddds_product_risk_prep;
 
 if 0 then
 set seg_kc.fsc_party_dim
    (keep=
       party_key
       party_number
       party_type_desc
       customer_since_date
       employee_ind
       politically_exposed_person_ind
       negative_news_ind
    rename=(party_key=PRIMARY_ENTITY_KEY
          )
    )
    
    seg_kc.fsk_cdd_entity_fact
        (keep=next_review_date last_scoring_event_key
              override_score_class_code final_disposition_code
              curr_review_scoring_event_key last_review_scoring_event_key
         )
    seg_kc.fsk_cdd_scoring_event
        (keep=event_date rule_score score_classification_code)
    seg_kc.fsk_cdd_triggering_values
        (keep=ref_table_nm)
    seg_kc.fsk_cdd_review
        (keep=review_key)
    ;
    PRIMARY_ENTITY_NUMBER=party_number;

          
 attrib
        PRIMARY_ENTITY_TYPE_CODE length=$32 label='Primary Entity Type Code'       
        ATTRIBUTE_CODE       length=$32 label='Attribute Code'
        ATTRIBUTE_CHAR_VALUE length=$32 label='Attribute Value (char)'
        LOOKUP_SCORE         length=8   label='Lookup Score'
        CDD_REVIEW_FLG       length=$1  label='CDD Review Flag'
		
 ;
 
 label  
       
       primary_entity_key='Primary Entity Key'
       primary_entity_number='Primary Entity Number'
	   party_number='Identical Party Number'
       party_type_desc='Party Type'
       customer_since_date='Customer Since Date'
       employee_ind='Employee Indicator'
       politically_exposed_person_ind='Politically Exposed Person Indicator'
	   negative_news_ind='Negative News Indicator'
   	   ref_table_nm='Reference Table Name'
	   event_date='Event Date'
	   next_review_date='New Review Date'
       last_scoring_event_key='Last Scoring Event Key'
       override_score_class_code='Override Score Classification Code'
       final_disposition_code='Final Disposition Code' 
       curr_review_scoring_event_key='Current Review Scoring Event Key'
       last_review_scoring_event_key='Last Review Scoring Event Key'
       curr_review_key='Investigation Key'
       curr_review_action_code='Investigation Action Code'
       curr_review_object_code='Investigation Object Code'
       curr_review_status_cd='Investigation Status Code'
	   LAST_SCORE='Last Score'
	   LAST_SCORE_DATE='Last Score Date'
	   LAST_SCORE_CLASS_CODE='Last Score Classification Code'
	   LAST_REVIEW_SCORE='Last Review Score'
	   LAST_REVIEW_DATE='Last Score Date'
	   LAST_REVIEW_CLASS_CODE='Last Score Classification Code'
       ;

      LAST_SCORE=rule_score;
      LAST_SCORE_DATE=event_date;
	  LAST_SCORE_CLASS_CODE=score_classification_code;
	  LAST_REVIEW_SCORE=rule_score;
	  LAST_REVIEW_DATE=event_date;
	  LAST_REVIEW_CLASS_CODE=score_classification_code;
	  rename REVIEW_KEY=CURR_REVIEW_KEY
	  ;
	  drop score_classification_code rule_score;

		 
  primary_entity_type_code='';
  attribute_code='';
  attribute_char_value='';
  lookup_score=.;
  cdd_review_flg='';
  stop; 
run;

data  &lib..cddds_country_risk_prep;
 if 0 then
 set &lib..cddds_entity_risk_prep
     seg_kc.fsc_party_assoc_attribute 
      (keep=attribute_type_code 
            attribute_char_value
            attribute_num_value
       rename=(attribute_type_code=RELATED_ATTRIBUTE_TYPE_CODE
               attribute_char_value=RELATED_ATTRIBUTE_CHAR_VALUE
               attribute_num_value=RELATED_ATTRIBUTE_NUM_VALUE
               )
      )
  ;
          
 attrib
        SANCTION_COUNTRY_IND length=$1 label='Sanctioned Country Indicator'
 ;
 label related_attribute_type_code='Related Party Attribute Type Code'
       related_attribute_char_value='Related Party Attribute Value (char)'
       related_attribute_num_value='Related Party Attribute Value (num)'
	   ; 
  sanction_country_ind='';
  stop; 
run;
 
