/*==============================================================================
|                               SAS SAMPLE FILE
|
| NAME:    party_taxid_prep.sas
| PRODUCT: SAS Compliance Solutions
| SYSTEM:  UNIX/WINDOWS
================================================================================


PREP FILE DESCRIPTION
---------------------
Creates party_taxid prep data set


PREP FILE NOTES
---------------
None


PREP DATA SET(S) CREATED
------------------------
MST_PREP.PARTY_TAXID


PREP DATA SET(S) SORT ORDER
----------------------------

| Data Set                         Field                           Sort Order
|--------------------------------|-------------------------------|--------------
|PARTY_TAXID                     |PARTY_TAX_ID                   |1
|PARTY_TAXID                     |STREET_STATE_CODE              |2


PREP DATA SET(S) VOLUME
-----------------------
1. Contingent on the maximum scenario duration of the scenarios registered to
this prep data set.


PREP DATA SET(S) NOTES
----------------------
None


================================================================================
SCENARIO(S) SUPPORTED:

- SAS10011
==============================================================================*/

/*-------------------------------------------------------------------
 * Copyright (c) 2012-2013 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/

 proc sql;

    create table mst_prep.party_taxid as

    select
       a.party_number,
       a.party_tax_id,
       a.street_state_code,
       a.entity_segment_id

    from
       seg_kc.fsc_party_dim a

    where
       party_tax_id is not null and
       change_current_ind='Y'

    order by party_tax_id, street_state_code;

 quit;
