
-- Recreate Fundstracker's FSK_INT_XFER table with time_key included
DROP VIEW FCFBU1.FSK_INT_XFER;

DROP TABLE FCFKC.FSK_INT_XFER;

CREATE TABLE FCFKC.FSK_INT_XFER
(
    remitter_account_number VARCHAR(304) NOT NULL ,
    remitter_name        VARCHAR(304) NOT NULL ,
    remitter_party_key   NUMERIC(12) NOT NULL ,
    beneficiary_account_number VARCHAR(304) NOT NULL  ,
    beneficiary_name     VARCHAR(304) NOT NULL ,
    beneficiary_party_key NUMERIC(12) NOT NULL  ,
    date_key             NUMERIC(8) NOT NULL ,
    time_key             NUMERIC(6) NOT NULL ,
    currency_amount      NUMERIC(18,5) NOT NULL ,
    edge_type_code       CHAR(4) NOT NULL
);

CREATE INDEX FCFKC.IDX_1_FSK_INT_XFER ON FCFKC.FSK_INT_XFER
(remitter_account_number ASC, beneficiary_account_number ASC);


CREATE OR REPLACE VIEW FCFBU1.FSK_INT_XFER AS SELECT * FROM FCFKC.FSK_INT_XFER;
