-- Added columns
ALTER TABLE FCFCORE.FSC_PARTY_DIM   ADD purge_date         TIMESTAMP NULL;

-- Replace/create views of altered/created tables
CREATE OR REPLACE VIEW FCFBU1.FSC_PARTY_DIM AS SELECT * FROM FCFCORE.FSC_PARTY_DIM;

-- Change preference value lengths
ALTER TABLE FCFKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE SET DATA TYPE VARCHAR(4000);
ALTER TABLE FCFKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE_DEFAULT SET DATA TYPE VARCHAR(4000);
CREATE OR REPLACE VIEW FCFBU1.FSK_PREFERENCE AS SELECT * FROM FCFKC.FSK_PREFERENCE;

-- add lock columns to alerted entity
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD COLUMN lock_userid VARCHAR(32) NULL ADD COLUMN lock_timestamp TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_ALERTED_ENTITY AS SELECT * FROM FCFKC.FSK_ALERTED_ENTITY;

-- add lock columns to report
ALTER TABLE FCFKC.FSK_RC_REPORT ADD COLUMN lock_userid VARCHAR(32) NULL ADD COLUMN lock_timestamp TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_RC_REPORT AS SELECT * FROM FCFKC.FSK_RC_REPORT;

-- add lock columns to cdd review
ALTER TABLE FCFKC.FSK_CDD_REVIEW ADD COLUMN lock_userid VARCHAR(32) NULL ADD COLUMN lock_timestamp TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_CDD_REVIEW AS SELECT * FROM FCFKC.FSK_CDD_REVIEW;

-- add lock columns to efile
ALTER TABLE FCFKC.FSK_RC_EFILE ADD COLUMN lock_userid VARCHAR(32) NULL ADD COLUMN lock_timestamp TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_RC_EFILE AS SELECT * FROM FCFKC.FSK_RC_EFILE;

-- add lock columns to case
ALTER TABLE FCFKC.FSK_CASE ADD COLUMN lock_userid VARCHAR(32) NULL ADD COLUMN lock_timestamp TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_CASE AS SELECT * FROM FCFKC.FSK_CASE;

-- add update info columns to alerted entity
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD COLUMN LSTUPDATE_USER_ID VARCHAR(32) NULL ADD COLUMN LSTUPDATE_DATE TIMESTAMP NULL;
CREATE OR REPLACE VIEW FCFBU1.FSK_ALERTED_ENTITY AS SELECT * FROM FCFKC.FSK_ALERTED_ENTITY;

-- add efile event table
CREATE TABLE FCFKC.FSK_RC_EFILE_EVENT
(
	event_id             NUMERIC(12) NOT NULL ,
	efile_key           NUMERIC(12) NOT NULL ,
	event_type_code      VARCHAR(3) NOT NULL ,
	event_description    VARCHAR(255)  ,
	create_user_id       VARCHAR(60) NOT NULL ,
	create_date          TIMESTAMP NOT NULL ,
	CONSTRAINT  XPKFSK_RC_EFILE_EVENT PRIMARY KEY (event_id)
)
	IN KC_DATA40
	INDEX IN KC_INDEX40;

CREATE  INDEX FCFKC.XIF1FSK_RC_EFILE_EVENT ON FCFKC.FSK_RC_EFILE_EVENT (efile_key   ASC);

ALTER TABLE FCFKC.FSK_RC_EFILE_EVENT
	ADD CONSTRAINT FK_EFILE_EVENT_EFILE FOREIGN KEY (efile_key) REFERENCES FCFKC.FSK_RC_EFILE (efile_key);

GRANT SELECT, INSERT, DELETE, UPDATE on FCFKC.FSK_RC_EFILE_EVENT to FCFBU1;
CREATE OR REPLACE VIEW FCFBU1.FSK_RC_EFILE_EVENT AS SELECT * FROM FCFKC.FSK_RC_EFILE_EVENT;
