-- Recreate Fundstracker's FSK_INT_XFER table with time_key included
DROP VIEW FCFBU1.FSK_INT_XFER;

DROP TABLE FCFKC.FSK_INT_XFER;

CREATE TABLE FCFKC.FSK_INT_XFER
(
    remitter_account_number VARCHAR2(304) NOT NULL ,
    remitter_name        VARCHAR2(304) NOT NULL ,
    remitter_party_key   NUMBER(12) NOT NULL ,
    beneficiary_account_number VARCHAR2(304) NOT NULL ,
    beneficiary_name     VARCHAR2(304) NOT NULL ,
    beneficiary_party_key NUMBER(12) NOT NULL ,
    date_key             NUMBER(8,0) NOT NULL ,
    time_key             NUMBER(6) NOT NULL ,
    currency_amount      NUMBER(18,5) NOT NULL ,
    edge_type_code       CHAR(4) NOT NULL
)
	 TABLESPACE KC_DATA01;

CREATE INDEX FCFKC.IDX_1_FSK_INT_XFER ON FCFKC.FSK_INT_XFER
( remitter_account_number ASC, beneficiary_account_number ASC )
	TABLESPACE KC_INDEX01;

GRANT SELECT, INSERT, DELETE, UPDATE on FCFKC.FSK_INT_XFER to FCFBU1;

CREATE OR REPLACE VIEW FCFBU1.FSK_INT_XFER AS SELECT * FROM FCFKC.FSK_INT_XFER;
