-------------------------------------------------------------------
-- NAME:    sqlserver_7.1HF5_nvarchar_3_convert_ddl.sql
-- PRODUCT: SAS Compliance Solutions
-- DESC:    drop indexes from business unit schema ready for column
--          type conversion
-------------------------------------------------------------------
-- USAGE:   Substiture the schema for each of your business units 
--          and execute in your SQL Server client
-------------------------------------------------------------------
-------------------------------------------------------------------
-- Copyright (c) 2018 by SAS Institute Inc., Cary, NC 27513 USA
--               All Rights Reserved.
-------------------------------------------------------------------

USE [LOCALDB]
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_CURRENCY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_PRIMARY_BRANCH_NAME NVARCHAR(25);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_REGISTRATION_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_REGISTRATION_TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ACCOUNT_TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN ALTERNATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN COLLATERAL_TYPE_DESC NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN LINE_OF_BUSINESS_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN MAILING_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN MAILING_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN MAILING_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN MAILING_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN MAILING_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN OPENED_BY_PARTY_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN OPENED_BY_PARTY_TITLE NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN PRODUCT_CATEGORY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN PRODUCT_LINE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN PRODUCT_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_DIM ALTER COLUMN PRODUCT_TYPE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ACCOUNT_STATE_VECTOR_FACT ALTER COLUMN ACCOUNT_TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_ADDRESS_DIM ALTER COLUMN ADDRESS_LINE_1_TEXT NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ADDRESS_DIM ALTER COLUMN ADDRESS_LINE_2_TEXT NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ADDRESS_DIM ALTER COLUMN CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ADDRESS_DIM ALTER COLUMN COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ADDRESS_DIM ALTER COLUMN STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN ASSOCIATE_FIRST_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN ASSOCIATE_LAST_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN ASSOCIATE_MIDDLE_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN ASSOCIATE_STATUS_DESC NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN ASSOCIATE_TITLE_DESC NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN BRANCH_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN EMAIL_ADDRESS NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN STREET_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN STREET_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN STREET_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN STREET_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ASSOCIATE_DIM ALTER COLUMN STREET_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BANK_DIM ALTER COLUMN BANK_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BANK_DIM ALTER COLUMN BANK_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BANK_DIM ALTER COLUMN BANK_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BANK_DIM ALTER COLUMN BANK_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_BANK_DIM ALTER COLUMN BANK_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN BRANCH_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN STREET_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN STREET_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN STREET_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN STREET_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_BRANCH_DIM ALTER COLUMN STREET_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_COUNTRY_DIM ALTER COLUMN COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_CURRENCY_DIM ALTER COLUMN CURRENCY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_DATE_DIM ALTER COLUMN DAY_NAME NVARCHAR(9);
ALTER TABLE SCHCORE.FSC_DATE_DIM ALTER COLUMN ECONOMIC_EVENT_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_DATE_DIM ALTER COLUMN ECONOMIC_RELEASE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_DATE_DIM ALTER COLUMN MONTH_NAME NVARCHAR(9);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN ADDRESS NVARCHAR(750);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN CATEGORY_DESC NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN CITIZENSHIP_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN CITY_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN COUNTRY_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN ENTITY_NAME NVARCHAR(800);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN ENTITY_TITLE NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN FIRST_NAME NVARCHAR(350);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN FULL_ADDRESS NVARCHAR(1200);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN LAST_NAME NVARCHAR(350);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN MIDDLE_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN NATIONALITY_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN OCCUPATION_DESC NVARCHAR(500);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN ORG_COUNTRY_OF_BUSINESS_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN PLACE_OF_BIRTH NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN PROGRAMS NVARCHAR(250);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN STATE_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_ENTITY_WATCH_LIST_DIM ALTER COLUMN TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN BRANCH_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN CITIZENSHIP_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN FIRST_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN FULL_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN IDENTIFICATION_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN LAST_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN MIDDLE_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN RESIDENCE_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN STREET_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN STREET_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN STREET_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN STREET_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM ALTER COLUMN STREET_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN HEAD_OF_HOUSEHOLD_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN HOUSEHOLD_TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_POSTAL_CODE NVARCHAR(10);
ALTER TABLE SCHCORE.FSC_HOUSEHOLD_DIM ALTER COLUMN STREET_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_LOCATION_WATCH_LIST_DIM ALTER COLUMN COUNTRY_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_LOCATION_WATCH_LIST_DIM ALTER COLUMN PROGRAM NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_LOOKUP_DIM ALTER COLUMN LOOKUP_CHAR_VALUE NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_MONTH_DIM ALTER COLUMN MONTH_NAME NVARCHAR(9);
ALTER TABLE SCHCORE.FSC_PARTY_ASSOC_ATTRIBUTE ALTER COLUMN ATTRIBUTE_CHAR_VALUE NVARCHAR(32);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN CITIZENSHIP_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN DOING_BUSINESS_AS_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN EMAIL_ADDRESS NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN EMPLOYEE_NUMBER NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN EMPLOYER_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN INDUSTRY_DESC NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN LEGAL_ENTITY_TYPE NVARCHAR(30);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MAILING_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MAILING_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MAILING_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MAILING_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MAILING_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN MARITAL_STATUS_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN OCCUPATION_DESC NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN ORG_COUNTRY_OF_BUSINESS_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_FIRST_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_IDENTIFICATION_ID NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_LAST_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_MIDDLE_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_NAME NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN PARTY_STATUS_DESC NVARCHAR(20);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN RESIDENCE_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN STREET_ADDRESS_1 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN STREET_ADDRESS_2 NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN STREET_CITY_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN STREET_COUNTRY_NAME NVARCHAR(100);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN STREET_STATE_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PARTY_DIM ALTER COLUMN ULTIMATE_PARENT_NAME NVARCHAR(35);
ALTER TABLE SCHCORE.FSC_PEER_GROUP ALTER COLUMN PEER_GROUP_DESC NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_PEER_GROUP ALTER COLUMN PEER_GROUP_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_PROFILE_GROUP ALTER COLUMN PROFILE_GROUP_DESC NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_TRANSACTION_DIM ALTER COLUMN TRANSACTION_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN ADDRESS NVARCHAR(750);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN CITY_NAME NVARCHAR(155);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN COUNTRY_NAME NVARCHAR(255);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN ENTITY_FLAG NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN ENTITY_MODEL_TYPE NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN ENTITY_NAME NVARCHAR(800);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN ENTITY_OWNER_OPERATOR NVARCHAR(200);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN PROGRAMS NVARCHAR(250);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN STATE_NAME NVARCHAR(50);
ALTER TABLE SCHCORE.FSC_TRANSPORT_WATCH_LIST_DIM ALTER COLUMN TYPE_DESC NVARCHAR(20);
ALTER TABLE SCHKC.FSK_ALERT ALTER COLUMN ACTUAL_VALUES_TEXT NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ALERT ALTER COLUMN ALERTED_ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_ALERT ALTER COLUMN ALERT_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_ALERT ALTER COLUMN PRIMARY_ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_ALERTED_ENTITY ALTER COLUMN ALERTED_ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_ALERT_EMAIL ALTER COLUMN EMAIL_CC_TEXT NVARCHAR(2000);
ALTER TABLE SCHKC.FSK_ALERT_EMAIL ALTER COLUMN EMAIL_MESSAGE_TEXT NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_ALERT_EMAIL ALTER COLUMN EMAIL_SUBJECT_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ALERT_EMAIL ALTER COLUMN EMAIL_TO_TEXT NVARCHAR(2000);
ALTER TABLE SCHKC.FSK_ALERT_EVENT ALTER COLUMN EVENT_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ALERT_RISK_FACTOR ALTER COLUMN ACTUAL_VALUES_TEXT NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ALERT_TRANSACTION ALTER COLUMN ASSOCIATE_NAME NVARCHAR(250);
ALTER TABLE SCHKC.FSK_ALERT_TRANSACTION ALTER COLUMN BENEFICIARY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_ALERT_TRANSACTION ALTER COLUMN BRANCH_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_ALERT_TRANSACTION ALTER COLUMN TRANSACTION_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ATTACHMENT ALTER COLUMN ATTACHMENT_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ATTACHMENT ALTER COLUMN ATTACHMENT_NAME NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ATTACHMENT ALTER COLUMN ATTACHMENT_PATH NVARCHAR(2000);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN CASE_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN CASE_SUMMARY NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN LE_CONTACT_AGENCY NVARCHAR(150);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN LE_CONTACT_NAME NVARCHAR(150);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN LE_CONTACT_PHONE NVARCHAR(16);
ALTER TABLE SCHKC.FSK_CASE ALTER COLUMN LE_CONTACT_PHONE_EXT NVARCHAR(16);
ALTER TABLE SCHKC.FSK_CASE_ENTITY ALTER COLUMN ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_CASE_ENTITY ALTER COLUMN RELATION_DESCRIPTION NVARCHAR(32);
ALTER TABLE SCHKC.FSK_CASE_ENTITY_TRANSACTION ALTER COLUMN ASSOCIATE_NAME NVARCHAR(250);
ALTER TABLE SCHKC.FSK_CASE_ENTITY_TRANSACTION ALTER COLUMN BENEFICIARY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_CASE_ENTITY_TRANSACTION ALTER COLUMN BRANCH_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CASE_ENTITY_TRANSACTION ALTER COLUMN TRANSACTION_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_CASE_TRANSACTION ALTER COLUMN ASSOCIATE_NAME NVARCHAR(250);
ALTER TABLE SCHKC.FSK_CASE_TRANSACTION ALTER COLUMN BENEFICIARY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_CASE_TRANSACTION ALTER COLUMN BRANCH_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CASE_TRANSACTION ALTER COLUMN TRANSACTION_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_CDD_EDD_REVIEW ALTER COLUMN EDD_STEP_NOTES NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE ALTER COLUMN CDD_RULE_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE ALTER COLUMN CDD_RULE_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE_GROUP ALTER COLUMN CDD_RULE_GROUP_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE_GROUP ALTER COLUMN CDD_RULE_GROUP_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE_PARAMETER ALTER COLUMN CDD_RULE_PARM_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_CDD_RULE_PARAMETER ALTER COLUMN CDD_RULE_PARM_VAL NVARCHAR(1024);
ALTER TABLE SCHKC.FSK_CDD_TRIGGERING_VALUES ALTER COLUMN TRIGGERING_CHAR_VALUE NVARCHAR(35);
ALTER TABLE SCHKC.FSK_COMMENT ALTER COLUMN COMMENT_TEXT NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_ENHANCED_ALERT ALTER COLUMN COLUMN_VALUE_CHAR_TEXT NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_ENHANCED_ALERT_RISK_FACTOR ALTER COLUMN COLUMN_VALUE_CHAR_TEXT NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_ENTITY_EVENT ALTER COLUMN EVENT_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ENTITY_TRANSACTION ALTER COLUMN ASSOCIATE_NAME NVARCHAR(250);
ALTER TABLE SCHKC.FSK_ENTITY_TRANSACTION ALTER COLUMN BENEFICIARY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_ENTITY_TRANSACTION ALTER COLUMN BRANCH_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_ENTITY_TRANSACTION ALTER COLUMN TRANSACTION_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_HEADER ALTER COLUMN HEADER_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHKC.FSK_HEADER ALTER COLUMN HEADER_LOCATION_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_INT_XFER ALTER COLUMN BENEFICIARY_NAME NVARCHAR(304);
ALTER TABLE SCHKC.FSK_INT_XFER ALTER COLUMN REMITTER_NAME NVARCHAR(304);
ALTER TABLE SCHKC.FSK_LIST_CATEGORY ALTER COLUMN LIST_CATEGORY_NAME NVARCHAR(35);
ALTER TABLE SCHKC.FSK_LIST_ELEMENT ALTER COLUMN LIST_ELEMENT_DESC NVARCHAR(35);
ALTER TABLE SCHKC.FSK_LIST_ELEMENT ALTER COLUMN LIST_ELEMENT_VALUE NVARCHAR(75);
ALTER TABLE SCHKC.FSK_LOV ALTER COLUMN LOV_TYPE_DESC NVARCHAR(100);
ALTER TABLE SCHKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE NVARCHAR(255);
ALTER TABLE SCHKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE_DEFAULT NVARCHAR(255);
ALTER TABLE SCHKC.FSK_QUEUE ALTER COLUMN QUEUE_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_EFILE ALTER COLUMN DIRECT_TRANSFER_EFILE_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_EFILE ALTER COLUMN EFILE_AGENCY_REF_ID NVARCHAR(32);
ALTER TABLE SCHKC.FSK_RC_EFILE ALTER COLUMN EFILE_DESC NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_EFILE ALTER COLUMN RESPONSE_FILE_NAME NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_FORM_CONFIG ALTER COLUMN FORM_DESC NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_REPORT ALTER COLUMN REPORT_DESC NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY ALTER COLUMN ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY_EVENT ALTER COLUMN EVENT_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY_INFO ALTER COLUMN ENTITY_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY_INFO ALTER COLUMN ENTITY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT ALTER COLUMN PARTY_NAME NVARCHAR(200);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EMAIL ALTER COLUMN EMAIL_CC_TEXT NVARCHAR(2000);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EMAIL ALTER COLUMN EMAIL_MESSAGE_TEXT NVARCHAR(4000);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EMAIL ALTER COLUMN EMAIL_SUBJECT_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EMAIL ALTER COLUMN EMAIL_TO_TEXT NVARCHAR(2000);
ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EVENT ALTER COLUMN EVENT_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_ROUTING_CONSTRAINT ALTER COLUMN VALUE_DESC NVARCHAR(1024);
ALTER TABLE SCHKC.FSK_SCENARIO ALTER COLUMN SCENARIO_DESCRIPTION NVARCHAR(255);
ALTER TABLE SCHKC.FSK_SCENARIO ALTER COLUMN SCENARIO_SHORT_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_SCENARIO_LOCALIZED_MSG ALTER COLUMN SCENARIO_MESSAGE_TEXT NVARCHAR(255);
ALTER TABLE SCHKC.FSK_SCENARIO_PARAMETER ALTER COLUMN PARM_DESC NVARCHAR(255);
ALTER TABLE SCHKC.FSK_SCENARIO_PARAMETER ALTER COLUMN PARM_VALUE NVARCHAR(1024);
ALTER TABLE SCHKC.FSK_SEGMENT ALTER COLUMN SEGMENT_DESCRIPTION NVARCHAR(100);
ALTER TABLE SCHKC.FSK_TEMP_TABLE ALTER COLUMN TEMP_CHAR_1_VALUE NVARCHAR(100);
ALTER TABLE SCHKC.FSK_TEMP_TABLE ALTER COLUMN TEMP_CHAR_2_VALUE NVARCHAR(100);
ALTER TABLE SCHKC.FSK_TEMP_TABLE ALTER COLUMN TEMP_CHAR_3_VALUE NVARCHAR(100);
ALTER TABLE SCHKC.FSK_TEMP_TABLE ALTER COLUMN TEMP_CHAR_4_VALUE NVARCHAR(100);
ALTER TABLE SCHKC.FSK_TRANSACTION_ALERT ALTER COLUMN TRANSACTION_DESCRIPTION NVARCHAR(255);
