-------------------------------------------------------------------
-- NAME:    AML7.5.4__drop_bu.sql
-- PRODUCT: SAS Compliance Solutions
-- DESC:    recreate indexes for business unit schema ready after
--          column type conversion
-------------------------------------------------------------------
-- USAGE:   Substiture the schema for each of your business units 
--          and execute in your SQL Server client
------------------------------------------------------------------
-------------------------------------------------------------------
-- Copyright (c) 2018 by SAS Institute Inc., Cary, NC 27513 USA
--               All Rights Reserved.
-------------------------------------------------------------------
-- 7.1
USE [LOCALDB]
GO

CREATE INDEX XIE12FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	party_name ASC
);
CREATE INDEX XIE2FSC_ACCOUNT_DIM ON SCHCORE.FSC_ACCOUNT_DIM
(
	account_name ASC
);
CREATE INDEX XIE6FSC_ASSOCIATE_DIM ON SCHCORE.FSC_ASSOCIATE_DIM
(
	associate_last_name ASC
);
CREATE INDEX XIE2FSC_BRANCH_DIM ON SCHCORE.FSC_BRANCH_DIM
(
	branch_name ASC
);
CREATE INDEX XIE1FSC_COUNTRY_DIM ON SCHCORE.FSC_COUNTRY_DIM
(
	country_name ASC
);
CREATE INDEX XIE2FSC_CURRENCY_DIM ON SCHCORE.FSC_CURRENCY_DIM
(
	currency_name ASC
);
CREATE INDEX XIE4FSC_ENTITY_WATCH_LIST_DIM ON SCHCORE.FSC_ENTITY_WATCH_LIST_DIM
(
	last_name ASC
);
CREATE INDEX XIE2FSC_EXT_PARTY_ACCOUNT_DIM ON SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM
(
	last_name ASC
);
CREATE INDEX XIE5FSC_EXT_PARTY_ACCOUNT_DIM ON SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM
(
	full_name ASC
);
CREATE INDEX XIE3FSC_HOUSEHOLD_DIM ON SCHCORE.FSC_HOUSEHOLD_DIM
(
	head_of_household_name ASC
);
CREATE INDEX XIE20FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	employer_name ASC
);
CREATE INDEX XIE16FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	match_code_street_address ASC
);
CREATE INDEX XIE7FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	party_last_name ASC
);
CREATE INDEX XIE22FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	match_code_organization ASC
);
CREATE INDEX XIE15FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	match_code_mailing_address ASC
);
CREATE INDEX XIE21FSC_PARTY_DIM ON SCHCORE.FSC_PARTY_DIM
(
	match_code_individual ASC
);
CREATE INDEX XIE6FSK_ALERT ON SCHKC.FSK_ALERT
(
	primary_entity_name ASC
);
CREATE INDEX XIE1FSK_LIST_ELEMENT ON SCHKC.FSK_LIST_ELEMENT
(
	list_element_value ASC
);



ALTER TABLE SCHKC.FSK_CDD_REVIEW_EVENT
	ADD  CONSTRAINT FK_CDD_REVIEW_EVENT_CDD_REVIEW FOREIGN KEY (review_key) REFERENCES SCHKC.FSK_CDD_REVIEW (review_key)
GO

ALTER TABLE SCHKC.FSK_CDD_EDD_REVIEW
	ADD  CONSTRAINT FK_CDD_EDD_REVIEW_CDD_REVIEW FOREIGN KEY (review_key) REFERENCES SCHKC.FSK_CDD_REVIEW (review_key)
GO



ALTER TABLE SCHKC.FSK_ALERT
	ADD  CONSTRAINT FK_ALRT_SCENARIO FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_RISK_FACTOR
	ADD  CONSTRAINT R_51 FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_RISK_FACTOR
	ADD  CONSTRAINT R_52 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_LIST
	ADD  CONSTRAINT R_72 FOREIGN KEY (list_category_id) REFERENCES SCHKC.FSK_LIST_CATEGORY (list_category_id)
GO

ALTER TABLE SCHKC.FSK_ASSESSMENT_ROUTING_RULE
	ADD  CONSTRAINT R_100 FOREIGN KEY (list_id) REFERENCES SCHKC.FSK_LIST (list_id)
GO

ALTER TABLE SCHKC.FSK_ENHANCED_ALERT_RISK_FACTOR
	ADD  CONSTRAINT R_269 FOREIGN KEY (entity_number, alert_id, scenario_id) REFERENCES SCHKC.FSK_ALERT_RISK_FACTOR (entity_number, alert_id, scenario_id)
GO

ALTER TABLE SCHKC.FSK_CASE_ENTITY
	ADD  CONSTRAINT R_393 FOREIGN KEY (case_id) REFERENCES SCHKC.FSK_CASE (case_id)
GO

ALTER TABLE SCHKC.FSK_ENHANCED_ALERT
	ADD  CONSTRAINT R_266 FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_EMAIL
	ADD  CONSTRAINT FK_ALERT_EMAIL_ALERT FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_EVENT
	ADD  CONSTRAINT FK_ALERT_EVENT_ALERT FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_NEIGHBOR
	ADD  CONSTRAINT R_56 FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_ALERT_REMINDER
	ADD  CONSTRAINT R_67 FOREIGN KEY (alert_id) REFERENCES SCHKC.FSK_ALERT (alert_id)
GO

ALTER TABLE SCHKC.FSK_LIST_ELEMENT
	ADD  CONSTRAINT R_73 FOREIGN KEY (list_id) REFERENCES SCHKC.FSK_LIST (list_id)
GO

ALTER TABLE SCHKC.FSK_RC_EFILE
	ADD  CONSTRAINT R_392 FOREIGN KEY (form_config_key) REFERENCES SCHKC.FSK_RC_FORM_CONFIG (form_config_key)
GO

ALTER TABLE SCHKC.FSK_RC_REPORT
	ADD  CONSTRAINT R_391 FOREIGN KEY (form_config_key) REFERENCES SCHKC.FSK_RC_FORM_CONFIG (form_config_key)
GO

ALTER TABLE SCHKC.FSK_RC_EFILE_REPORT
	ADD  CONSTRAINT R_383 FOREIGN KEY (report_key) REFERENCES SCHKC.FSK_RC_REPORT (report_key)
GO

ALTER TABLE SCHKC.FSK_RC_EFILE_REPORT
	ADD  CONSTRAINT R_384 FOREIGN KEY (efile_key) REFERENCES SCHKC.FSK_RC_EFILE (efile_key)
GO

ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY
	ADD  CONSTRAINT R_385 FOREIGN KEY (report_key) REFERENCES SCHKC.FSK_RC_REPORT (report_key)
GO

ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY_EVENT
	ADD  CONSTRAINT R_407 FOREIGN KEY (report_key, entity_level_code, entity_key) REFERENCES SCHKC.FSK_RC_REPORT_ENTITY (report_key, entity_level_code, entity_key)
GO

ALTER TABLE SCHKC.FSK_RC_REPORT_EVENT
	ADD  CONSTRAINT R_409 FOREIGN KEY (report_key) REFERENCES SCHKC.FSK_RC_REPORT (report_key)
GO

ALTER TABLE SCHKC.FSK_RISK_CLASSIFIER
	ADD  CONSTRAINT R_79 FOREIGN KEY (risk_classifier_category_id) REFERENCES SCHKC.FSK_RISK_CLASSIFIER_CATEGORY (risk_classifier_category_id)
GO

ALTER TABLE SCHKC.FSK_RISK_CLASSIFIER
	ADD  CONSTRAINT R_80 FOREIGN KEY (list_id) REFERENCES SCHKC.FSK_LIST (list_id)
GO

ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_CLASSIFIER
	ADD  CONSTRAINT R_95 FOREIGN KEY (risk_assessment_id) REFERENCES SCHKC.FSK_RISK_ASSESSMENT (risk_assessment_id)
GO

ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_CLASSIFIER
	ADD  CONSTRAINT R_97 FOREIGN KEY (risk_classifier_id) REFERENCES SCHKC.FSK_RISK_CLASSIFIER (risk_classifier_id)
GO

ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EVENT
	ADD  CONSTRAINT FK_RISK_ASS_EVENT_ALERT FOREIGN KEY (risk_assessment_id) REFERENCES SCHKC.FSK_RISK_ASSESSMENT (risk_assessment_id)
GO

ALTER TABLE SCHKC.FSK_ROUTING_RULE
	ADD  CONSTRAINT R_64 FOREIGN KEY (routing_group_id) REFERENCES SCHKC.FSK_ROUTING_GROUP (routing_group_id)
GO

ALTER TABLE SCHKC.FSK_HEADER_ELEMENT
	ADD  CONSTRAINT FK_HEADER_ELEMENT_HEADER FOREIGN KEY (header_id) REFERENCES SCHKC.FSK_HEADER (header_id)
GO

ALTER TABLE SCHKC.FSK_RISK_ASSESSMENT_EMAIL
	ADD  CONSTRAINT FK_RISK_ASS_EMAIL_ALERT FOREIGN KEY (risk_assessment_id) REFERENCES SCHKC.FSK_RISK_ASSESSMENT (risk_assessment_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO
	ADD  CONSTRAINT FK_SCENARIO_HEADER FOREIGN KEY (header_id) REFERENCES SCHKC.FSK_HEADER (header_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO
	ADD  CONSTRAINT R_66 FOREIGN KEY (routing_group_id) REFERENCES SCHKC.FSK_ROUTING_GROUP (routing_group_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_ALERT_COLUMN
	ADD  CONSTRAINT R_265 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_ALERT_CONSTRAINT
	ADD  CONSTRAINT R_273 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_FILTER
	ADD  CONSTRAINT R_270 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_LOCALIZED_MSG
	ADD  CONSTRAINT R_285 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_MESSAGE_PARAMETER
	ADD  CONSTRAINT R_274 FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_SCENARIO_PARAMETER
	ADD  CONSTRAINT FK_SCENARIO_PARAMETER_SCENARIO FOREIGN KEY (scenario_id) REFERENCES SCHKC.FSK_SCENARIO (scenario_id)
GO

ALTER TABLE SCHKC.FSK_UI_COLUMN
	ADD  CONSTRAINT R_49 FOREIGN KEY (table_ui_name) REFERENCES SCHKC.FSK_UI_TABLE (table_ui_name)
GO

ALTER TABLE SCHKC.FSK_UI_COLUMN
	ADD  CONSTRAINT R_50 FOREIGN KEY (group_ui_name) REFERENCES SCHKC.FSK_UI_GROUP (group_ui_name)
GO


ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_165 FOREIGN KEY (account_key) REFERENCES SCHCORE.FSC_ACCOUNT_DIM (account_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_166 FOREIGN KEY (branch_key) REFERENCES SCHCORE.FSC_BRANCH_DIM (branch_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_167 FOREIGN KEY (trade_date_key) REFERENCES SCHCORE.FSC_DATE_DIM (date_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_168 FOREIGN KEY (execution_time_key) REFERENCES SCHCORE.FSC_TIME_DIM (time_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_169 FOREIGN KEY (transaction_currency_key) REFERENCES SCHCORE.FSC_CURRENCY_DIM (currency_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_170 FOREIGN KEY (transaction_type_key) REFERENCES SCHCORE.FSC_TRANSACTION_TYPE_DIM (transaction_type_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_171 FOREIGN KEY (transaction_status_key) REFERENCES SCHCORE.FSC_TRANSACTION_STATUS_DIM (transaction_status_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_184 FOREIGN KEY (transaction_key) REFERENCES SCHCORE.FSC_TRANSACTION_DIM (transaction_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_TRADE_FACT
	ADD  CONSTRAINT R_186 FOREIGN KEY (associate_key) REFERENCES SCHCORE.FSC_ASSOCIATE_DIM (associate_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_131 FOREIGN KEY (account_key) REFERENCES SCHCORE.FSC_ACCOUNT_DIM (account_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_132 FOREIGN KEY (date_key) REFERENCES SCHCORE.FSC_DATE_DIM (date_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_140 FOREIGN KEY (time_key) REFERENCES SCHCORE.FSC_TIME_DIM (time_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_157 FOREIGN KEY (transaction_key) REFERENCES SCHCORE.FSC_TRANSACTION_DIM (transaction_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_158 FOREIGN KEY (branch_key) REFERENCES SCHCORE.FSC_BRANCH_DIM (branch_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_161 FOREIGN KEY (country_key) REFERENCES SCHCORE.FSC_COUNTRY_DIM (country_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_133 FOREIGN KEY (transaction_type_key) REFERENCES SCHCORE.FSC_TRANSACTION_TYPE_DIM (transaction_type_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_EVENT_FACT
	ADD  CONSTRAINT R_160 FOREIGN KEY (transaction_status_key) REFERENCES SCHCORE.FSC_TRANSACTION_STATUS_DIM (transaction_status_key)
GO

ALTER TABLE SCHCORE.FSC_ACCOUNT_PROFILE_FACT
	ADD  CONSTRAINT R_6 FOREIGN KEY (month_key) REFERENCES SCHCORE.FSC_MONTH_DIM (month_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT FK_ACCOUNT_CREDIT FOREIGN KEY (account_key) REFERENCES SCHCORE.FSC_ACCOUNT_DIM (account_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_111 FOREIGN KEY (transaction_type_key) REFERENCES SCHCORE.FSC_TRANSACTION_TYPE_DIM (transaction_type_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_113 FOREIGN KEY (transaction_key) REFERENCES SCHCORE.FSC_TRANSACTION_DIM (transaction_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_149 FOREIGN KEY (executing_party_key) REFERENCES SCHCORE.FSC_PARTY_DIM (party_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_154 FOREIGN KEY (associate_key) REFERENCES SCHCORE.FSC_ASSOCIATE_DIM (associate_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_159 FOREIGN KEY (transaction_status_key) REFERENCES SCHCORE.FSC_TRANSACTION_STATUS_DIM (transaction_status_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_178 FOREIGN KEY (remitter_ext_party_key) REFERENCES SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM (ext_party_account_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_179 FOREIGN KEY (beneficiary_ext_party_key) REFERENCES SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM (ext_party_account_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT FK_BRANCH_CREDIT FOREIGN KEY (branch_key) REFERENCES SCHCORE.FSC_BRANCH_DIM (branch_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT FK_DATE_CREDIT FOREIGN KEY (date_key) REFERENCES SCHCORE.FSC_DATE_DIM (date_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT FK_TIME_CREDIT FOREIGN KEY (time_key) REFERENCES SCHCORE.FSC_TIME_DIM (time_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_85 FOREIGN KEY (transaction_currency_key) REFERENCES SCHCORE.FSC_CURRENCY_DIM (currency_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_126 FOREIGN KEY (country_key) REFERENCES SCHCORE.FSC_COUNTRY_DIM (country_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_FACT
	ADD  CONSTRAINT R_389 FOREIGN KEY (executing_ext_party_key) REFERENCES SCHCORE.FSC_EXT_PARTY_ACCOUNT_DIM (ext_party_account_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_BANK_BRIDGE
	ADD  CONSTRAINT R_175 FOREIGN KEY (bank_key) REFERENCES SCHCORE.FSC_BANK_DIM (bank_key)
GO

ALTER TABLE SCHCORE.FSC_CASH_FLOW_BANK_BRIDGE
	ADD  CONSTRAINT R_176 FOREIGN KEY (transaction_key) REFERENCES SCHCORE.FSC_CASH_FLOW_FACT (transaction_key)
GO

ALTER TABLE SCHCORE.FSC_CLASSIFIER_FACT
	ADD  CONSTRAINT R_181 FOREIGN KEY (month_key) REFERENCES SCHCORE.FSC_MONTH_DIM (month_key)
GO

ALTER TABLE SCHCORE.FSC_HOUSEHOLD_PARTY_BRIDGE
	ADD  CONSTRAINT FK_CUST_HH_BRIDGE FOREIGN KEY (party_key) REFERENCES SCHCORE.FSC_PARTY_DIM (party_key)
GO

ALTER TABLE SCHCORE.FSC_HOUSEHOLD_PARTY_BRIDGE
	ADD  CONSTRAINT R_47 FOREIGN KEY (household_key) REFERENCES SCHCORE.FSC_HOUSEHOLD_DIM (household_key)
GO

ALTER TABLE SCHCORE.FSC_PARTY_PROFILE_FACT
	ADD  CONSTRAINT R_155 FOREIGN KEY (month_key) REFERENCES SCHCORE.FSC_MONTH_DIM (month_key)
GO

ALTER TABLE SCHCORE.FSC_HOUSEHOLD_ACCOUNT_BRIDGE
	ADD  CONSTRAINT R_162 FOREIGN KEY (household_key) REFERENCES SCHCORE.FSC_HOUSEHOLD_DIM (household_key)
GO

ALTER TABLE SCHCORE.FSC_HOUSEHOLD_ACCOUNT_BRIDGE
	ADD  CONSTRAINT R_163 FOREIGN KEY (account_key) REFERENCES SCHCORE.FSC_ACCOUNT_DIM (account_key)
GO

ALTER TABLE SCHCORE.FSC_PARTY_ACCOUNT_BRIDGE
	ADD  CONSTRAINT FK_CUST_ACCT_BRIDGE FOREIGN KEY (party_key) REFERENCES SCHCORE.FSC_PARTY_DIM (party_key)
GO

ALTER TABLE SCHCORE.FSC_PARTY_ACCOUNT_BRIDGE
	ADD  CONSTRAINT R_8 FOREIGN KEY (account_key) REFERENCES SCHCORE.FSC_ACCOUNT_DIM (account_key)
GO

ALTER TABLE SCHCORE.FSC_SUMMARY_TRANS_TYPE_BRIDGE
	ADD  CONSTRAINT R_412 FOREIGN KEY (transaction_type_key) REFERENCES SCHCORE.FSC_TRANSACTION_TYPE_DIM (transaction_type_key)
GO

ALTER TABLE SCHKC.FSK_RC_REPORT_ENTITY_BRIDGE
  ADD CONSTRAINT FSK_RC_ENT_BRIDGE_RPT FOREIGN KEY (report_key) REFERENCES SCHKC.FSK_RC_REPORT (report_key)
GO
