USE [LOCALDB]
GO

-- Recreate Fundstracker's FSK_INT_XFER table with time_key included
DROP VIEW SCHBU1.FSK_INT_XFER
GO

DROP TABLE SCHKC.FSK_INT_XFER
GO

CREATE TABLE SCHKC.FSK_INT_XFER
(
    remitter_account_number VARCHAR(304) NOT NULL ,
    remitter_name        NVARCHAR(304) NOT NULL ,
    remitter_party_key   DECIMAL(12) NOT NULL ,
    beneficiary_account_number VARCHAR(304) NOT NULL ,
    beneficiary_name     NVARCHAR(304) NOT NULL ,
    beneficiary_party_key DECIMAL(12) NOT NULL ,
    date_key             DECIMAL(8) NOT NULL ,
    time_key             DECIMAL(6) NOT NULL ,
    currency_amount      DECIMAL(18,5) NOT NULL ,
    edge_type_code       CHAR(4) NOT NULL )
GO

CREATE INDEX IDX_1_FSK_INT_XFER ON SCHKC.FSK_INT_XFER
( remitter_account_number ASC, beneficiary_account_number ASC )
GO

CREATE  VIEW SCHBU1.FSK_INT_XFER AS SELECT * FROM SCHKC.FSK_INT_XFER
GO
