USE [LOCALDB]
GO

-- Added columns
ALTER TABLE SCHCORE.FSC_PARTY_DIM   ADD purge_date         DATETIME NULL;
GO

-- Replace/create views of altered/created tables
ALTER VIEW SCHBU1.FSC_PARTY_DIM AS SELECT * FROM SCHCORE.FSC_PARTY_DIM
GO

-- Change preference value lengths
ALTER TABLE SCHKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE VARCHAR(4000)
GO
ALTER TABLE SCHKC.FSK_PREFERENCE ALTER COLUMN PREF_VALUE_DEFAULT VARCHAR(4000)
GO
ALTER VIEW SCHBU1.FSK_PREFERENCE AS SELECT * FROM SCHKC.FSK_PREFERENCE
GO

-- add lock columns to alerted entity
ALTER TABLE SCHKC.FSK_ALERTED_ENTITY ADD lock_userid VARCHAR(32) NULL, lock_timestamp DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_ALERTED_ENTITY AS SELECT * FROM SCHKC.FSK_ALERTED_ENTITY
GO

-- add lock columns to report
ALTER TABLE SCHKC.FSK_RC_REPORT ADD lock_userid VARCHAR(32) NULL, lock_timestamp DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_RC_REPORT AS SELECT * FROM SCHKC.FSK_RC_REPORT
GO

-- add lock columns to cdd review
ALTER TABLE SCHKC.FSK_CDD_REVIEW ADD lock_userid VARCHAR(32) NULL, lock_timestamp DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_CDD_REVIEW AS SELECT * FROM SCHKC.FSK_CDD_REVIEW
GO

-- add lock columns to efile
ALTER TABLE SCHKC.FSK_RC_EFILE ADD lock_userid VARCHAR(32) NULL, lock_timestamp DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_RC_EFILE AS SELECT * FROM SCHKC.FSK_RC_EFILE
GO

-- add lock columns to case
ALTER TABLE SCHKC.FSK_CASE ADD lock_userid VARCHAR(32) NULL, lock_timestamp DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_CASE AS SELECT * FROM SCHKC.FSK_CASE
GO

-- add update info columns to alerted entity
ALTER TABLE SCHKC.FSK_ALERTED_ENTITY ADD lstupdate_user_id VARCHAR(32) NULL, lstupdate_date DATETIME NULL
GO
ALTER VIEW SCHBU1.FSK_ALERTED_ENTITY AS SELECT * FROM SCHKC.FSK_ALERTED_ENTITY
GO

-- add efile event table
CREATE TABLE SCHKC.FSK_RC_EFILE_EVENT
(
	event_id             DECIMAL(12) NOT NULL ,
	efile_key           DECIMAL(12) NOT NULL ,
	event_type_code      VARCHAR(3) NOT NULL ,
	event_description    VARCHAR(255)  ,
	create_user_id       VARCHAR(60) NOT NULL ,
	create_date          DATETIME NOT NULL ,
	CONSTRAINT XPKFSK_RC_EFILE_EVENT PRIMARY KEY CLUSTERED (event_id))
GO

CREATE INDEX XIF1FSK_RC_EFILE_EVENT ON SCHKC.FSK_RC_EFILE_EVENT ( efile_key ASC )
GO

ALTER TABLE SCHKC.FSK_RC_EFILE_EVENT
	ADD  CONSTRAINT FK_EFILE_EVENT_EFILE FOREIGN KEY (efile_key) REFERENCES SCHKC.FSK_RC_EFILE (efile_key)
GO

CREATE VIEW SCHBU1.FSK_RC_EFILE_EVENT AS SELECT * FROM SCHKC.FSK_RC_EFILE_EVENT
GO