/*
 * This script creates the FCFCORE, FCFKC, and FCFBU1 users.
 * Edit the script before running it so that the default database and usernames match your enviromnent.
 * Be sure to run the script with an account that has DBA privileges. 
 */
USE [master]
GO
CREATE LOGIN [USRCORE] WITH PASSWORD=N'pwdcore', DEFAULT_DATABASE=[LOCALDB], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
CREATE LOGIN [USRKC] WITH PASSWORD=N'pwdkc', DEFAULT_DATABASE=[LOCALDB], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
CREATE LOGIN [USRBU1] WITH PASSWORD=N'pwdbu1', DEFAULT_DATABASE=[LOCALDB], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO

USE [LOCALDB]
GO
CREATE USER [USRCORE] FOR LOGIN [USRCORE]
GO
CREATE USER [USRKC] FOR LOGIN [USRKC]
GO
CREATE USER [USRBU1] FOR LOGIN [USRBU1]
GO

CREATE SCHEMA [SCHCORE] AUTHORIZATION [USRCORE]
GO
CREATE SCHEMA [SCHKC] AUTHORIZATION [USRKC]
GO
CREATE SCHEMA [SCHBU1] AUTHORIZATION [USRBU1]
GO

ALTER USER [USRKC] WITH DEFAULT_SCHEMA = [SCHKC]
GO
ALTER USER [USRCORE] WITH DEFAULT_SCHEMA = [SCHCORE]
GO
ALTER USER [USRBU1] WITH DEFAULT_SCHEMA = [SCHBU1]
GO


GRANT DELETE  ON SCHEMA::[SCHCORE] TO [USRBU1]
GRANT EXECUTE ON SCHEMA::[SCHCORE] TO [USRBU1]
GRANT INSERT  ON SCHEMA::[SCHCORE] TO [USRBU1]
GRANT SELECT  ON SCHEMA::[SCHCORE] TO [USRBU1]
GRANT UPDATE  ON SCHEMA::[SCHCORE] TO [USRBU1]
GRANT DELETE  ON SCHEMA::[SCHKC] TO [USRBU1]
GRANT EXECUTE ON SCHEMA::[SCHKC] TO [USRBU1]
GRANT INSERT  ON SCHEMA::[SCHKC] TO [USRBU1]
GRANT SELECT  ON SCHEMA::[SCHKC] TO [USRBU1]
GRANT UPDATE  ON SCHEMA::[SCHKC] TO [USRBU1]
GO


GRANT SELECT ON SCHEMA::[SCHBU1] TO [USRKC]
GRANT UPDATE ON SCHEMA::[SCHBU1] TO [USRKC]
GO
