-- Recreate Fundstracker's FSK_INT_XFER table with time_key included
DROP VIEW FCFBU1.FSK_INT_XFER;

DROP TABLE FCFKC.FSK_INT_XFER;

CREATE SET TABLE FCFKC.FSK_INT_XFER,
     NO FALLBACK,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT
(
    remitter_account_number VARCHAR(304) NOT NULL ,
    remitter_name        VARCHAR(304) NOT NULL ,
    remitter_party_key   DECIMAL(12) NOT NULL ,
    beneficiary_account_number VARCHAR(304) NOT NULL ,
    beneficiary_name     VARCHAR(304) NOT NULL ,
    beneficiary_party_key DECIMAL(12) NOT NULL ,
    date_key             DECIMAL(8) NOT NULL ,
    time_key             DECIMAL(6) NOT NULL ,
    currency_amount      DECIMAL(18,5) NOT NULL ,
    edge_type_code       CHAR(4) NOT NULL
);

CREATE INDEX IDX_1_FSK_INT_XFER( remitter_account_number, beneficiary_account_number ) ON FCFKC.FSK_INT_XFER;

CREATE VIEW FCFBU1.FSK_INT_XFER AS SELECT * FROM FCFKC.FSK_INT_XFER;
