-- Added columns
ALTER TABLE FCFCORE.FSC_PARTY_DIM   ADD purge_date         TIMESTAMP(6) NULL;

-- Replace/create views of altered/created tables
REPLACE VIEW FCFBU1.FSC_PARTY_DIM AS SELECT * FROM FCFCORE.FSC_PARTY_DIM;

-- Change preference value lengths
ALTER TABLE FCFKC.FSK_PREFERENCE ADD PREF_VALUE VARCHAR(4000);
ALTER TABLE FCFKC.FSK_PREFERENCE ADD PREF_VALUE_DEFAULT VARCHAR(4000);
REPLACE VIEW FCFBU1.FSC_PREFERENCE AS SELECT * FROM FCFKC.FSK_PREFERENCE;

-- add lock columns to alerted entity
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD lock_userid VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD lock_timestamp TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_ALERTED_ENTITY AS SELECT * FROM FCFKC.FSK_ALERTED_ENTITY;

-- add lock columns to report
ALTER TABLE FCFKC.FSK_RC_REPORT ADD lock_userid VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_RC_REPORT ADD lock_timestamp TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_RC_REPORT AS SELECT * FROM FCFKC.FSK_RC_REPORT;

-- add lock columns to cdd review
ALTER TABLE FCFKC.FSK_CDD_REVIEW ADD lock_userid VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_CDD_REVIEW ADD lock_timestamp TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_CDD_REVIEW AS SELECT * FROM FCFKC.FSK_CDD_REVIEW;

-- add lock columns to efile
ALTER TABLE FCFKC.FSK_RC_EFILE ADD lock_userid VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_RC_EFILE ADD lock_timestamp TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_RC_EFILE AS SELECT * FROM FCFKC.FSK_RC_EFILE;

-- add lock columns to case
ALTER TABLE FCFKC.FSK_CASE ADD lock_userid VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_CASE ADD lock_timestamp TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_CASE AS SELECT * FROM FCFKC.FSK_CASE;

-- add update info columns to alerted entity
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD LSTUPDATE_USER_ID VARCHAR(32) NULL;
ALTER TABLE FCFKC.FSK_ALERTED_ENTITY ADD LSTUPDATE_DATE TIMESTAMP NULL;
REPLACE VIEW FCFBU1.FSK_ALERTED_ENTITY AS SELECT * FROM FCFKC.FSK_ALERTED_ENTITY;

-- add efile event table
CREATE SET TABLE FCFKC.FSK_RC_EFILE_EVENT,
	 NO FALLBACK,
	 NO BEFORE JOURNAL,
	 NO AFTER JOURNAL,
	 CHECKSUM = DEFAULT
(
	event_id             DECIMAL(12) NOT NULL ,
	efile_key           DECIMAL(12) NOT NULL ,
	event_type_code      VARCHAR(3) NOT NULL ,
	event_description    VARCHAR(255)  ,
	create_user_id       VARCHAR(60) NOT NULL ,
	create_date          TIMESTAMP(6) NOT NULL
)
	UNIQUE PRIMARY INDEX XPKFSK_RC_EFILE_EVENT(event_id);

CREATE  INDEX XIF1FSK_RC_EFILE_EVENT(efile_key) ON FCFKC.FSK_RC_EFILE_EVENT;
CREATE VIEW FCFBU1.FSK_RC_EFILE_EVENT AS SELECT * FROM FCFKC.FSK_RC_EFILE_EVENT;