%macro rc_fincen_run_ddl;

 

%if not %sysfunc(exist(RC_CFG.FORM_DEFAULT)) %then
%do;
    DATA RC_CFG.FORM_DEFAULT(%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FORM_DEFAULT, output_ds=Y));
        attrib FORM_CONFIG_KEY          length=8 label='Form Key';     
        attrib DEFAULT_ATTR_NAME        length=$128 label='Default Attribute Name';
        attrib DEFAULT_CHAR_VALUE       length=$2000 label='Default Character Value';
        attrib DEFAULT_NUM_VALUE        length=8 label='Default Numeric Value';
        attrib DEFAULT_DATE_VALUE       length=8 label='Default Date Value' format=MMDDYYN8. informat=MMDDYY8.;
        stop; 
    run;
%end;

%if not %sysfunc(exist(RC_CFG.FINCEN_TRANSMITTER )) %then
%do;
    DATA RC_CFG.FINCEN_TRANSMITTER(%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FINCEN_TRANSMITTER, output_ds=Y));
        attrib TRANSMITTER_KEY length=8 label="Transmitter Key"; 
        attrib TRANSMITTER_NAME length=$150 label="Transmitter Name";
        attrib TRANSMITTER_ADDRESS length=$100 label="Transmitter Address";
        attrib TRANSMITTER_CITY_NAME length=$50 label="Transmitter City";
        attrib TRANSMITTER_STATE_CODE length=$3 label="Transmitter State";
        attrib TRANSMITTER_ZIP_CODE length=$9 label="Transmitter ZIP/Postal Code";
        attrib TRANSMITTER_COUNTRY_CODE length=$2 label="Transmitter Country";
        attrib TRANSMITTER_TELEPHONE length=$16 label="Transmitter Telephone Number";
        attrib TRANSMITTER_CONTACT_NAME length=$150 label="Transmitter Contact Name";
        attrib TRANSMITTER_TAX_ID length=$25 label="Transmitter Taxpayer Identification Number (TIN)";
        attrib TRANSMITTER_CONTROL_CODE length=$8 label="Transmitter Control Code (TCC)";
        attrib EFFECTIVE_FROM_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Transmitter information effective from date";
        attrib EFFECTIVE_TO_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Transmitter information effective to date";

        attrib CURRENT_IND length=$1 label="Current Indicator";
        stop; 
    run;
%end;

%if not %sysfunc(exist(RC_CFG.FINCEN_INSTITUTION  )) %then
%do;

    DATA RC_CFG.FINCEN_INSTITUTION (%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FINCEN_INSTITUTION, output_ds=Y) index=(institution_key)) ;
        attrib INSTITUTION_KEY length=8 label="Institution Key"; 
        attrib INSTITUTION_PRIM_FED_REG_CODE length=$2 label="Primary Federal Regulator";
        attrib INSTITUTION_LEGAL_NAME length=$150 label="Filer Name";
        attrib INSTITUTION_TAX_ID length=$25 label="TIN";
        attrib INSTITUTION_TAX_ID_TYPE length=$1 label="TIN Type";
        attrib INSTITUTION_TYPE_CODE length=$1 label="Type of Financial Institution";
        attrib INSTITUTION_TYPE_OTHER length=$50 label="Type of Financial Institution - Other";
        attrib INSTITUTION_SF_TYPE_CODE length=$13 label="Type of Securities and Futures Institution";
        attrib INSTITUTION_SF_TYPE_OTHER length=$50 label="Type of Securities and Futures Institution - Other";
        attrib INSTITUTION_ID_TYPE_CODE length=$1 label="Financial Institution Identification Type";
        attrib INSTITUTION_ID length=$20 label="Financial Institution Identification Number";
        attrib INSTITUTION_ADDRESS length=$100 label="Address";
        attrib INSTITUTION_CITY_NAME length=$50 label="City";
        attrib INSTITUTION_STATE_CODE length=$3 label="State";
        attrib INSTITUTION_ZIP_CODE length=$9 label="ZIP/Postal Code";
        attrib INSTITUTION_COUNTRY_CODE length=$2 label="Country";
        attrib INSTITUTION_ALTERNATE_NAME length=$150 label="Alternate Name";
        attrib CONTACT_OFFICE length=$10 label="Filing Institution Contact Office";
        attrib CONTACT_PHONE_NUMBER length=$16 label="Filing Institution Phone Number";
        attrib CONTACT_PHONE_EXTENSION length=$6 label="Filing Institution Phone Number Extension";
        attrib CURRENT_IND length=$1 label="Current Indicator";
        attrib EFFECTIVE_FROM_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Institution information effective from date";
        attrib EFFECTIVE_TO_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Institution information effective to date";


        stop; 
    run;
%end;

%if not %sysfunc(exist(RC_CFG.FINCEN_BRANCH  )) %then
%do;

    DATA RC_CFG.FINCEN_BRANCH (%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FINCEN_BRANCH, output_ds=Y) index=(branch_key)) ;
        attrib BRANCH_KEY               length=8 label="Branch Key"; 
        attrib BRANCH_NUMBER            length=$100;
        attrib BRANCH_NAME              length=$100;
        attrib BRANCH_RSSD_ID           length=$20 label="Branch or Office RSSD Number"; 
        attrib BRANCH_GAMING_TYPE_CODE  length=$1;
        attrib BRANCH_GAMING_TYPE_OTHER length=$50;
        attrib BRANCH_ID                length=$10;
        attrib BRANCH_ID_TYPE_CODE      length=$1;  
        attrib BRANCH_PRIM_FED_REG_CODE length=$2;
        attrib BRANCH_TAX_ID            length=$9;
        attrib BRANCH_TYPE_CTR_CODE     length=$1;
        attrib BRANCH_TYPE_CTR_OTHER    length=$50;
        attrib BRANCH_ADDRESS length=$100 label="Address";
        attrib BRANCH_CITY_NAME length=$50 label="City";
        attrib BRANCH_STATE_CODE length=$3 label="State";
        attrib BRANCH_ZIP_CODE length=$9 label="ZIP/Postal Code";
        attrib BRANCH_COUNTRY_CODE length=$2 label="Country"; 
        attrib EFFECTIVE_FROM_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Branch open date";
        attrib EFFECTIVE_TO_DATE length=8 format=datetime20. informat=datetime20. 
                          label="Branch close date";
        stop; 
    run;
%end;

%if not %sysfunc(exist(RC_CFG.FORM_EFILE_RECORD_CONFIG )) %then
%do;

    data RC_CFG.FORM_EFILE_RECORD_CONFIG(%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FORM_EFILE_RECORD_CONFIG, output_ds=Y));
     attrib
       FORM_CONFIG_KEY               length=8 label='Form Config Key'
       FORM_EFILE_RECORD_SEQ_NUMBER  length=8  label='Form E-File REcord Sequence Number'
       FORM_EFILE_RECORD_ID          length=$32 label='Form E-File Record ID'
       FORM_EFILE_RECORD_DESC        length=$1000 label='E-File Record Description'
       RECORD_LENGTH                 length=8 label='Record Length'
       SOURCE_TABLE_NAME             length=$64 label='Source Table Name'
       SOURCE_ENTITY_LEVEL_CODE      length=$32  label='Source Entity Level Code'
       SOURCE_GROUP_NAME             length=$32  label='Source Group Name'
      ;
      stop;
    run;
%end;

%if not %sysfunc(exist(RC_CFG.FORM_EFILE_FIELD_CONFIG )) %then
%do;
    data RC_CFG.FORM_EFILE_FIELD_CONFIG(%fcf_get_ds_opts(lib_name=rc_cfg, ds_name=FORM_EFILE_FIELD_CONFIG, output_ds=Y));
    attrib
       FORM_CONFIG_KEY                length=8     label='Form Config Key'
       FORM_EFILE_RECORD_SEQ_NUMBER   length=8     label='Form E-File Record Sequence Number'
       FORM_EFILE_RECORD_ID           length=$32   label='Form E-File Record ID'
       FORM_EFILE_FIELD_SEQ_NUMBER    length=8     label='Form E-File Field Sequence Number'  
       TARGET_FIELD_START_POSITION    length=8     label='E-File Start Position'
       TARGET_FIELD_END_POSITION      length=8     label='E-File End Position'
       TARGET_FIELD_NAME              length=$100  label='Target Field Name'
       TARGET_FIELD_LENGTH            length=8     label='Target Field Length'
       TARGET_FIELD_SHORT_DESC        length=$100  label='Target Field Short Description'
       TARGET_FIELD_DESC              length=$1000 label='Target Field Description'
       SOURCE_FIELD_NAME              length=$64   label='Source Field Name'
       SOURCE_FIELD_TYPE              length=$64   label='Source Field Type '
       SOURCE_FIELD_TYPE_PARM_LIST    length=$128  label='Source Field Type Parameter List'
       SOURCE_FIELD_DEFAULT_VALUE     length=$256  label='Source Field Default Value'
       SOURCE_FIELD_MAPPED_FLG        length=$1    label='Source Field Default Value Code Map Flag'
       TARGET_FIELD_NUM_FLG           length=$1    label='Target Field Numeric Flag' 
       TARGET_SAS_FORMAT_NAME         length=$32   label='Target Field SAS Format Name'
       
    ;
    stop;
    run;
%end;


%mend;

/*******************************************************************************/
/* Load FINCEN configuration data                                              */
/* To test one the code without loading the data, %let ECM_DBUG=Y;             */
/*******************************************************************************/

%macro rc_fincen_load_ref_naics;

/*******************************************************************************/
/*  LOAD NAICS codes                                                           */
/*******************************************************************************/
 
 

data fsk_lov_naics;

     if 0 then set seg_kc.fsk_lov;     
        
     infile  rc_tmplt(2014NAICS.csv)  
             dsd lrecl=32764 truncover  delimiter=',' ;
     length tmp_str expr $ 128;
     retain lov_type_name 'NAICS';
     retain lov_language_desc 'en';
     retain lov_type_code lov_type_desc lov_sort_position_number; 
     drop str_len expr  tmp_str;
   
     input tmp_str $;
      
     str_len=length(tmp_str);
     expr='/\d{'||strip(put(str_len,best.))||'}/';
      /* check for numeric data for NAICS code */
      if prxmatch(expr,tmp_str)=1  then
      do;
         lov_type_code=tmp_str;
         lov_sort_position_number=0;
         lov_type_desc=strip(lov_type_desc)||' ('||strip(lov_type_code)||')';
         active_flg='Y';
         output;
     end;
     else lov_type_desc=strip(tmp_str);
run;

%if &syserr <= 4 and &rc_debug=N %then
%do;
     

  proc sort data= fsk_lov_naics;
     by lov_type_desc;
  run;

  data fsk_lov_naics;
       set fsk_lov_naics;
        lov_sort_position_number=_n_;
  run;

  proc sql ;
         delete from seg_kc.fsk_lov
         where lov_type_name='NAICS'
     ;
  quit;

  proc append base=seg_kc.fsk_lov (dbforce=yes) 
              data=fsk_lov_naics force;
  run;
%end;

%mend; 


%macro rc_fincen_load_country_state_cd;

/*******************************************************************************/
/*  LOAD ISO standard country codes                                            */
/*******************************************************************************/
 
data fsk_lov_country_iso;

     if 0 then set seg_kc.fsk_lov; 
      infile  rc_tmplt(country_names_and_code_elements.txt) 
              dsd lrecl=32764 truncover firstobs=2 delimiter=';' ;
 
     retain lov_type_name 'COUNTRY_ISO';
     retain lov_language_desc 'en';
     retain lov_type_code lov_type_desc lov_sort_position_number; 
            
       
     keep  lov_type_name lov_language_desc lov_type_code lov_type_desc lov_sort_position_number active_flg;

     input lov_type_desc $
           lov_type_code
     ; 
     lov_type_desc=tranwrd(tranwrd(tranwrd(propcase(lov_type_desc),' Of',' of'),' And ',' and '),'The ','the ');

     lov_sort_position_number+1;
     active_flg='Y';
     if lov_type_code ne '' then output;
     
run;
/* Set US as the first choice in the list */
proc sql noprint;
     update fsk_lov_country_iso
     set lov_sort_position_number=0
     where lov_type_name='COUNTRY_ISO' and lov_type_code='US'
     ;
    
quit;

/*******************************************************************************/
/*  LOAD US/CA/MX state codes                                                  */
/*******************************************************************************/
 
data  fsk_lov_state;

     
     if 0 then set seg_kc.fsk_lov;  
     infile  rc_tmplt(state_code_list.csv)  
             dsd lrecl=32764 truncover delimiter=',' ;
     
     retain lov_type_code lov_type_desc lov_sort_position_number;
     retain lov_language_desc 'en'; 
       
     keep  lov_type_name lov_language_desc lov_type_code lov_type_desc lov_sort_position_number active_flg;

    
     input country_code $
           lov_type_code $ 
           lov_type_desc $
     ;
     active_flg='Y';
     lov_type_name='STATE_'||country_code;
     if lag(country_code) ne country_code then lov_sort_position_number=1;
     else lov_sort_position_number+1;
         
run;

%if &sysrc <= 4 %then
%do;
    proc sql noprint;
         delete from seg_kc.fsk_lov
         where lov_type_name='COUNTRY_ISO'
    ;
         delete from seg_kc.fsk_lov
         where lov_type_name in ('STATE_US' 'STATE_CA' 'STATE_MX')
    ;
    quit;

    proc append base=seg_kc.fsk_lov (dbforce=yes) data=fsk_lov_country_iso force;
    run;
    
    proc append base=seg_kc.fsk_lov (dbforce=yes) data=fsk_lov_state force;
    run;
%end;

%mend;



%macro rc_fincen_load_resp;
/* Create the tables needed for processing FINCEN responses */

%if not %sysfunc(exist(RC_DB.RESP_FINCEN_SUMMARY))  %then
%do;

proc sql;
/* Create FINCEN response summary table */
CREATE TABLE RC_DB.RESP_FINCEN_SUMMARY %fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_SUMMARY, output_ds=Y, add_parens=Y)
(
     RESPONSE_ID                    CHAR(256)     NOT NULL label='Response ID', 
     EFILE_KEY                      NUMERIC(8)    label='E-File Key',
     FORM_CONFIG_KEY                NUMERIC(8)    label='Form Key',
     RESPONSE_FILE_NAME             CHAR(256)     NOT NULL label='Response File Name',
     RESPONSE_TYPE_CODE             CHAR(32)      NOT NULL label='Response File Type Code',
     RESPONSE_FILE_EXT              CHAR(32)      label='Response File Extension',
     RESPONSE_PROCESSING_MSG        CHAR(1024)    label='Response Processing Mesaage',  
     PROCESSED_DATE                 NUMERIC(8)    NOT NULL format=nldatm20. label='Processed Date Time',
     COVERAGE_START_DATE_STR        CHAR(8)       label='Coverage Start Date',
     COVERAGE_END_DATE_STR          CHAR(8)       label='Coverage End Date',
     RECORD_3A_COUNT                NUMERIC(8)    label='# of 3A records',
     PRIMARY_ERROR_COUNT            NUMERIC(8)    label='# of Primary errors',
     SECONDARY_ERROR_COUNT          NUMERIC(8)    label='# of Secondary errors',    
 
      
     CONSTRAINT PRIM_KEY PRIMARY KEY (RESPONSE_ID)
);
    
CREATE INDEX EFILE_KEY
      on RC_DB.RESP_FINCEN_SUMMARY(%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_SUMMARY, append_comma=Y) EFILE_KEY)
 ;
quit;
 
%end;

%if not %sysfunc(exist(RC_DB.RESP_FINCEN_REPORT_LIST))  %then
%do;

PROC SQL;

CREATE TABLE RC_DB.RESP_FINCEN_REPORT_LIST %fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_REPORT_LIST, output_ds=Y, add_parens=Y) 
(
     RESPONSE_ID                   CHAR(256)     NOT NULL label='Response ID', 
     TRANS_SEQ_NUMBER              NUMERIC(8)    NOT NULL label='Transaction Sequence Number',
     BSA_ID                        CHAR(15)      label='BSA Identifier',
     PRIMARY_ERROR_COUNT           NUMERIC(8)    label='# of Primary errors',
     SECONDARY_ERROR_COUNT         NUMERIC(8)    label='# of Secondary errors', 
     EFILE_KEY                     NUMERIC(8)    label='E-File Key',
     REPORT_KEY                    NUMERIC(8)    label='Report Key',
     USER_FIELD                    CHAR(10)      label='User Field',
     RESPONSE_PROCESSING_MSG       CHAR(1024)    label='Response Processing Mesaage', 

     CONSTRAINT PRIM_KEY PRIMARY KEY (RESPONSE_ID, TRANS_SEQ_NUMBER)
); 

CREATE INDEX RESPONSE_ID
      on RC_DB.RESP_FINCEN_REPORT_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_REPORT_LIST, append_comma=Y) RESPONSE_ID) 
 ;

CREATE INDEX EFILE_key
      on RC_DB.RESP_FINCEN_REPORT_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_REPORT_LIST, append_comma=Y) EFILE_KEY) 
 ;

CREATE INDEX REPORT_KEY
      on RC_DB.RESP_FINCEN_REPORT_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_REPORT_LIST, append_comma=Y) REPORT_KEY) 
;

CREATE INDEX BSA_ID
      on RC_DB.RESP_FINCEN_REPORT_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_REPORT_LIST, append_comma=Y) BSA_ID) 
;
quit;
%end;

%if not %sysfunc(exist(RC_DB.RESP_FINCEN_ERROR_LIST))  %then
%do;
PROC SQL;
CREATE TABLE RC_DB.RESP_FINCEN_ERROR_LIST %fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_ERROR_LIST, output_ds=Y, add_parens=Y) 
(
     RESPONSE_ID                   CHAR(256)     NOT NULL label='Response ID', 
     LINE_NUMBER                   NUMERIC(8)    NOT NULL label='Line Number',
     ERROR_SEQ_NUMBER              NUMERIC(8)    NOT NULL label='Error Sequence Number',
     TRANS_SEQ_NUMBER              NUMERIC(8)    label='Transaction Sequence Number',
     RECORD_TYPE                   CHAR(2)       label='Record Type',
     BSA_ID                        CHAR(14)      label='BSA Identifier', 
     ERROR_CODE                    CHAR(4)       label='Error Code',
     ERROR_TYPE_CODE               CHAR(1)       label='Error Type Code',
     USER_FIELD                    CHAR(10)      label='User Field',
     EFILE_KEY                     NUMERIC(8)    label='E-File Key',
     REPORT_KEY                    NUMERIC(8)    label='Report Key',

     CONSTRAINT PRIM_KEY PRIMARY KEY (RESPONSE_ID, LINE_NUMBER,  ERROR_SEQ_NUMBER)
); 

CREATE INDEX RESPONSE_ID
      on RC_DB.RESP_FINCEN_ERROR_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_ERROR_LIST, append_comma=Y) RESPONSE_ID) 
 ;

CREATE INDEX EFILE_KEY
      on RC_DB.RESP_FINCEN_ERROR_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_ERROR_LIST, append_comma=Y) EFILE_KEY) 
 ;

CREATE INDEX REPORT_KEY
      on RC_DB.RESP_FINCEN_ERROR_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_ERROR_LIST, append_comma=Y) REPORT_KEY) 
;

CREATE INDEX BSA_ID
      on RC_DB.RESP_FINCEN_ERROR_LIST (%fcf_get_ds_opts(lib_name=RC_DB, ds_name=RESP_FINCEN_ERROR_LIST, append_comma=Y) BSA_ID) 
;

quit;
%end;

   
%mend;




  
/* Change rc_debug to Y for testing */
%let rc_debug=%upcase(N);

%rc_fincen_run_ddl;               /* creating sas tables for report configuration */
%rc_fincen_load_ref_naics;        /* load NASICS code                  */
%rc_fincen_load_country_state_cd; /* load country and state/province codes  */
%rc_fincen_load_resp;             /* Create response tables in RC_DB   */
 
 
