%MACRO VLDT_CTR_1A;

/**** SKIP *****/

/*T01: Transmitter name is blank.*/

/**** SKIP *****/

/*T02: Transmitter address is blank.*/

/**** SKIP *****/

/*T03: Transmitter city is blank.*/

/**** SKIP *****/

/*T04: Transmitter state is blank.*/

/**** SKIP *****/

/*T05: Transmitter ZIP Code or foreign postal code is blank.*/

/**** SKIP *****/

/*T06: Transmitter telephone number is blank.*/

/**** SKIP *****/

/*T07: Transmitter contact name is blank.*/

/**** SKIP *****/

/*T08: Transmitter TIN is blank.*/

/**** SKIP *****/

/*T09: Coverage beginning date is blank or invalid.*/

/**** SKIP *****/

/*T10: Coverage ending date is blank or invalid.*/

/**** SKIP *****/

/*T12: The Transmitter Control Code is blank.*/
%mend;


%MACRO VLDT_CTR_2B;

/*C201: Financial institution primary federal regulator is blank.*/
error_code="C201";
target_field_name="BRANCH_PRIM_FED_REG_CODE";
if BRANCH_PRIM_FED_REG_CODE=""  then output;

/*C202: Financial institution primary federal regulator contains an invalid code.*/
error_code="C202";
target_field_name="BRANCH_PRIM_FED_REG_CODE";
if (index("ABCDEFG",strip(BRANCH_PRIM_FED_REG_CODE))=0) and (BRANCH_PRIM_FED_REG_CODE ne ' ') then output;

/*C203: Financial institution legal name is blank.*/
error_code="C203";
target_field_name="BRANCH_NAME";
if BRANCH_NAME=""  then output;

/*C204: Financial institution EIN is blank.*/
error_code="C204";
target_field_name="BRANCH_TAX_ID";
if BRANCH_TAX_ID=""  then output;

/*C205: Financial institution EIN is an invalid number string such as all zeros, all nines, or 123456789, or contains non-numeric values.*/
error_code="C205";
target_field_name="BRANCH_TAX_ID";
if (length(BRANCH_TAX_ID) ne 9 or BRANCH_TAX_ID='123456789' or  BRANCH_TAX_ID='000000000' or  BRANCH_TAX_ID='999999999') and (BRANCH_TAX_ID ne ' ') then output;

/*C206: Financial institution street address is blank.*/
error_code="C206";
target_field_name="BRANCH_ADDRESS";
if BRANCH_ADDRESS=""  then output;

/*C207: Financial institution city is blank.*/
error_code="C207";
target_field_name="BRANCH_CITY_NAME";
if BRANCH_CITY_NAME=""  then output;

/*C208: Financial institution state is not a valid state code.*/
error_code="C208";
target_field_name="BRANCH_STATE_CODE";
if (put('US_'||strip(BRANCH_STATE_CODE),$RT_STATE_PROVINCE.) ne 'VALID') and (BRANCH_STATE_CODE ne ' ') then output;

/*C209: Financial institution state is blank.*/
error_code="C209";
target_field_name="BRANCH_STATE_CODE";
if BRANCH_STATE_CODE=""  then output;

/*C210: Financial institution ZIP Code is blank.*/
error_code="C210";
target_field_name="BRANCH_ZIP_CODE";
if BRANCH_ZIP_CODE=""  then output;

/*C211: Financial institution ZIP Code is a nine digit code ending in four zeros/nines.*/
error_code="C211";
target_field_name="BRANCH_ZIP_CODE";
if (substrn(BRANCH_ZIP_CODE,6,4)= '0000' or substrn(BRANCH_ZIP_CODE,6,4)= '9999') and (BRANCH_ZIP_CODE ne ' ' and length(BRANCH_ZIP_CODE)=9) then output;

/*C212: Financial institution ZIP Code is not equal to five or nine digits, or contains non-numeric values.*/
error_code="C212";
target_field_name="BRANCH_ZIP_CODE";
if (((length(BRANCH_ZIP_CODE) ne 5 and length(BRANCH_ZIP_CODE) ne 9)  or notdigit(strip(BRANCH_ZIP_CODE)) > 0))  then output;

/*C213: Financial institution type is blank.*/
error_code="C213";
target_field_name="BRANCH_TYPE_CTR_CODE";
if BRANCH_TYPE_CTR_CODE=""  then output;

/*C214: Financial institution type contains an invalid code.*/
error_code="C214";
target_field_name="BRANCH_TYPE_CTR_CODE";
if (index("ABCDZ",strip(BRANCH_TYPE_CTR_CODE))=0) and (BRANCH_TYPE_CTR_CODE ne ' ') then output;

/*C215: Financial institution type other description is blank.*/
error_code="C215";
target_field_name="BRANCH_TYPE_CTR_OTHER";
if (BRANCH_TYPE_CTR_OTHER = ' ') and (index(BRANCH_TYPE_CTR_CODE,"Z") > 0) then output;

/*C216: Gaming institution type is blank.*/
error_code="C216";
target_field_name="BRANCH_GAMING_TYPE_CODE";
if (BRANCH_GAMING_TYPE_CODE = ' ') and (BRANCH_TYPE_CTR_CODE = 'A') then output;

/*C217: Gaming institution type contains an invalid code.*/
error_code="C217";
target_field_name="BRANCH_GAMING_TYPE_CODE";
if (index('ABCZ',strip(BRANCH_GAMING_TYPE_CODE))=0) and (BRANCH_GAMING_TYPE_CODE ne ' ') and (BRANCH_TYPE_CTR_CODE = 'A') then output;

/*C218: Gaming institution type other description is blank.*/
error_code="C218";
target_field_name="BRANCH_GAMING_TYPE_OTHER";
if (BRANCH_GAMING_TYPE_OTHER = ' ') and (index(BRANCH_GAMING_TYPE_CODE,"Z") > 0) then output;

/*C219: Financial institution identification type contains an invalid code.*/
error_code="C219";
target_field_name="BRANCH_ID_TYPE_CODE";
if (index('ABCDE',strip(BRANCH_ID_TYPE_CODE))=0) and (BRANCH_ID_TYPE_CODE ne ' ') then output;

/*C220: Financial institution identification number is blank when one of boxes 39a-39e has been checked.*/
error_code="C220";
target_field_name="BRANCH_ID";
if (BRANCH_ID = ' ') and (BRANCH_ID_TYPE_CODE ne  '') then output;
%mend;


%MACRO VLDT_CTR_3A;

/*C301: Filing type is blank.*/
error_code="C301";
target_field_name="TYPE_FILING_CODE";
if TYPE_FILING_CODE=""  then output;

/*C302: Filing type contains an invalid code.*/
error_code="C302";
target_field_name="TYPE_FILING_CODE";
if (index("ABC",strip(TYPE_FILING_CODE))=0) and (TYPE_FILING_CODE ne ' ') then output;

/*C303: Prior report Document Control Number or BSA Identifier is blank.*/
error_code="C303";
target_field_name="PRIOR_AGENCY_REF_ID";
if (PRIOR_AGENCY_REF_ID = '') and (TYPE_FILING_CODE='B') then output;

/*C304: Prior report Document Control Number or BSA Identifier contains non-numeric values.*/
error_code="C304";
target_field_name="PRIOR_AGENCY_REF_ID";
if (PRIOR_AGENCY_REF_ID ne compress(PRIOR_AGENCY_REF_ID,'0123456789','k')) and (PRIOR_AGENCY_REF_ID ne ' ') then output;

/*C307: Date of transaction is blank.*/
error_code="C307";
target_field_name="TRANSACTION_DATE";
if TRANSACTION_DATE=.  then output;

/*C308: Date of transaction is greater than the date filed.*/
error_code="C308";
target_field_name="TRANSACTION_DATE";
if (TRANSACTION_DATE > today()) and (TRANSACTION_DATE > .) then output;

/*C309: Date of transaction is prior to January 1, 1950.*/
error_code="C309";
target_field_name="TRANSACTION_DATE";
if (TRANSACTION_DATE < mdy(1,1,1950)) and (TRANSACTION_DATE > .) then output;

/*C310: Date of transaction is not a numeric 8-position field in MMDDCCYY format where MM=month, DD=day,  CC=century, YY=year.*/
error_code="C310";
target_field_name="TRANSACTION_DATE";
if (TRANSACTION_DATE < mdy(1,1,1900) or  TRANSACTION_DATE > today()) and (TRANSACTION_DATE >  .) then output;

/*C311: Method of transaction(s) contains an invalid code.*/
error_code="C311";
target_field_name="TRANSACTION_TYPE";
if (compress(TRANSACTION_TYPE,'ABCDE') ne ' ') and (TRANSACTION_TYPE ne ' ') then output;

/*C312: Total cash-in and total cash-out are blank.*/
error_code="C312";
target_field_name="US_CASH_IN_AMOUNT";
if (US_CASH_OUT_AMOUNT <= 0) and (US_CASH_IN_AMOUNT <= 0) then output;

/*C313: Total cash-in contains non-numeric values or is in an invalid format.*/
error_code="C313";
target_field_name="US_CASH_IN_AMOUNT";
if (US_CASH_IN_AMOUNT < 0 or index(put(US_CASH_IN_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_AMOUNT >  .) then output;

/*C314: Total cash-in Deposit(s) amount contains non-numeric values or is in an invalid format.*/
error_code="C314";
target_field_name="US_CASH_IN_A_AMOUNT";
if (US_CASH_IN_A_AMOUNT <= 0 or index(put(US_CASH_IN_A_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_A_AMOUNT >  .) then output;

/*C315: Total cash-in Payment(s) amount contains non-numeric values or is in an invalid format.*/
error_code="C315";
target_field_name="US_CASH_IN_B_AMOUNT";
if (US_CASH_IN_B_AMOUNT <= 0 or index(put(US_CASH_IN_B_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_B_AMOUNT >  .) then output;

/*C316: Total cash-in Currency received for fund transfer(s) out amount contains non-numeric values or is in an invalid format.*/
error_code="C316";
target_field_name="US_CASH_IN_C_AMOUNT";
if (US_CASH_IN_C_AMOUNT <= 0 or index(put(US_CASH_IN_C_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_C_AMOUNT >  .) then output;

/*C317: Total cash-in Purchase of negotiable instrument(s) amount contains non-numeric values or is in an invalid format.*/
error_code="C317";
target_field_name="US_CASH_IN_D_AMOUNT";
if (US_CASH_IN_D_AMOUNT <= 0 or index(put(US_CASH_IN_D_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_D_AMOUNT >  .) then output;

/*C318: Total cash-in Currency exchange(s) amount contains non-numeric values or is in an invalid format.*/
error_code="C318";
target_field_name="US_CASH_IN_E_AMOUNT";
if (US_CASH_IN_E_AMOUNT <= 0 or index(put(US_CASH_IN_E_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_E_AMOUNT >  .) then output;

/*C319: Total cash-in "Currency to prepaid access" amount contains non-numeric values or is in an invalid format.*/
error_code="C319";
target_field_name="US_CASH_IN_F_AMOUNT";
if (US_CASH_IN_F_AMOUNT <= 0 or index(put(US_CASH_IN_F_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_F_AMOUNT >  .) then output;

/*C320: Total cash-in Purchase(s) of casino chips, tokens, and other gaming instruments amount contains non-numeric values or is in an invalid format.*/
error_code="C320";
target_field_name="US_CASH_IN_G_AMOUNT";
if (US_CASH_IN_G_AMOUNT <= 0 or index(put(US_CASH_IN_G_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_G_AMOUNT >  .) then output;

/*C321: Total cash-in "Currency wager(s) including money plays" amount contains non-numeric values or is in an invalid format.*/
error_code="C321";
target_field_name="US_CASH_IN_H_AMOUNT";
if (US_CASH_IN_H_AMOUNT <= 0 or index(put(US_CASH_IN_H_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_H_AMOUNT >  .) then output;

/*C322: Total cash-in Bills inserted into gaming devices amount contains non-numeric values or is in an invalid format.*/
error_code="C322";
target_field_name="US_CASH_IN_I_AMOUNT";
if (US_CASH_IN_I_AMOUNT <= 0 or index(put(US_CASH_IN_I_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_IN_I_AMOUNT >  .) then output;

/*C324: Total cash-in Other description is blank.*/
error_code="C324";
target_field_name="US_CASH_IN_OTHER";
if (US_CASH_IN_OTHER =' ') and (US_CASH_IN_OTHER_AMOUNT > 0) then output;

/*C327: Total cash-out contains non-numeric values or is in an invalid format.*/
error_code="C327";
target_field_name="US_CASH_OUT_AMOUNT";
if (US_CASH_OUT_AMOUNT < 0 or index(put(US_CASH_OUT_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_AMOUNT >  .) then output;

/*C328: Total cash-out "Withdrawal(s)" amount contains non-numeric values or is in an invalid format.*/
error_code="C328";
target_field_name="US_CASH_OUT_A_AMOUNT";
if (US_CASH_OUT_A_AMOUNT <= 0 or index(put(US_CASH_OUT_A_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_A_AMOUNT >  .) then output;

/*C329: Total cash-out Advance(s) on credit (including markers) amount contains non-numeric values or is in an invalid format.*/
error_code="C329";
target_field_name="US_CASH_OUT_B_AMOUNT";
if (US_CASH_OUT_B_AMOUNT <= 0 or index(put(US_CASH_OUT_B_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_B_AMOUNT >  .) then output;

/*C330: Total cash-out "Currency paid from funds transfer(s) in" amount contains non-numeric values or is in  an invalid format.*/
error_code="C330";
target_field_name="US_CASH_OUT_C_AMOUNT";
if (US_CASH_OUT_C_AMOUNT <= 0 or index(put(US_CASH_OUT_C_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_C_AMOUNT >  .) then output;

/*C331: Total cash-out Negotiable instrument(s) cashed amount contains non-numeric values or is in an invalid format.*/
error_code="C331";
target_field_name="US_CASH_OUT_D_AMOUNT";
if (US_CASH_OUT_D_AMOUNT <= 0 or index(put(US_CASH_OUT_D_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_D_AMOUNT >  .) then output;

/*C332: Total cash-out "Currency exchange(s)" amount contains non-numeric values or is in an invalid format.*/
error_code="C332";
target_field_name="US_CASH_OUT_E_AMOUNT";
if (US_CASH_OUT_E_AMOUNT <= 0 or index(put(US_CASH_OUT_E_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_E_AMOUNT >  .) then output;

/*C333: Total cash-out Currency to prepaid access amount contains non-numeric values or is in an invalid format.*/
error_code="C333";
target_field_name="US_CASH_OUT_F_AMOUNT";
if (US_CASH_OUT_F_AMOUNT <= 0 or index(put(US_CASH_OUT_F_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_F_AMOUNT >  .) then output;

/*C334: Total cash-out Redemption(s) of casino chips, tokens, TITO tickets, and other gaming instruments amount contains non-numeric values or is in an invalid format.*/
error_code="C334";
target_field_name="US_CASH_OUT_G_AMOUNT";
if (US_CASH_OUT_G_AMOUNT <= 0 or index(put(US_CASH_OUT_G_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_G_AMOUNT >  .) then output;

/*C335: Total cash-out Payment(s) on wager(s) (including race book and OTB or sports pool) amount contains non-numeric values or is in an invalid format.*/
error_code="C335";
target_field_name="US_CASH_OUT_H_AMOUNT";
if (US_CASH_OUT_H_AMOUNT <= 0 or index(put(US_CASH_OUT_H_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_H_AMOUNT >  .) then output;

/*C336: Total cash-out Travel and complimentary expenses and gaming incentives amount contains non-numeric values or is in an invalid format.*/
error_code="C336";
target_field_name="US_CASH_OUT_I_AMOUNT";
if (US_CASH_OUT_I_AMOUNT <= 0 or index(put(US_CASH_OUT_I_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_I_AMOUNT >  .) then output;

/*C337: Total cash-out Payment for tournament, contest or other promotions amount contains non-numeric values  or is in an invalid format.*/
error_code="C337";
target_field_name="US_CASH_OUT_J_AMOUNT";
if (US_CASH_OUT_J_AMOUNT <= 0 or index(put(US_CASH_OUT_J_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_J_AMOUNT >  .) then output;

/*C338: Total cash-out Other amount contains non-numeric values or is in an invalid format.*/
error_code="C338";
target_field_name="US_CASH_OUT_OTHER_AMOUNT";
if (US_CASH_OUT_OTHER_AMOUNT <= 0 or index(put(US_CASH_OUT_OTHER_AMOUNT,Z15.) ,'E') > 0) and (US_CASH_OUT_OTHER_AMOUNT >  .) then output;

/*C339: Total cash-out Other description is blank.*/
error_code="C339";
target_field_name="US_CASH_OUT_OTHER";
if (US_CASH_OUT_OTHER =' ') and (US_CASH_OUT_OTHER_AMOUNT > 0) then output;

/*C342: Total cash-in is not equal to the total amounts recorded in items 25a-i and 25z.*/
error_code="C342";
target_field_name="US_CASH_IN_AMOUNT";
if (US_CASH_IN_AMOUNT ne  sum(US_CASH_IN_A_AMOUNT,US_CASH_IN_B_AMOUNT,US_CASH_IN_C_AMOUNT,US_CASH_IN_D_AMOUNT,US_CASH_IN_E_AMOUNT,US_CASH_IN_F_AMOUNT,US_CASH_IN_G_AMOUNT,US_CASH_IN_H_AMOUNT,US_CASH_IN_I_AMOUNT,US_CASH_IN_OTHER_AMOUNT)) and (US_CASH_IN_AMOUNT > 0) then output;

/*C343: Total cash-out is not equal to the total amounts recorded in items 27a-j and 27z.*/
error_code="C343";
target_field_name="US_CASH_OUT_AMOUNT";
if (US_CASH_OUT_AMOUNT ne  sum(US_CASH_OUT_A_AMOUNT,US_CASH_OUT_B_AMOUNT,US_CASH_OUT_C_AMOUNT,US_CASH_OUT_D_AMOUNT,US_CASH_OUT_E_AMOUNT,US_CASH_OUT_F_AMOUNT,US_CASH_OUT_G_AMOUNT,US_CASH_OUT_H_AMOUNT,US_CASH_OUT_I_AMOUNT,US_CASH_OUT_J_AMOUNT,US_CASH_OUT_OTHER_AMOUNT)) and (US_CASH_OUT_AMOUNT > 0) then output;

/*C347: Date filed is blank.*/
error_code="C347";
target_field_name="FILED_DATE";
if FILED_DATE=.  then output;

/*C348: Date filed is not a numeric 8-position field in MMDDCCYY format where MM=month, DD=day, CC=century, YY=year.*/
error_code="C348";
target_field_name="FILED_DATE";
if (FILED_DATE < mdy(1,1,1900) or  FILED_DATE > today()) and (FILED_DATE >  .) then output;

/**** SKIP *****/

/*C349: Date filed is greater than the current date or is less than 01/01/2000.*/

/*C350: Total cash-in and/or total cash-out contains an amount less than or equal to $10,000.*/
error_code="C350";
target_field_name="US_CASH_IN_AMOUNT";
if ((0 < US_CASH_IN_AMOUNT < 10000) OR (0 < US_CASH_OUT_AMOUNT < 10000))  then output;
%mend;


%MACRO VLDT_CTR_3B;

/*C325: Foreign cash-in amount contains non-numeric values or is in an invalid format.*/
error_code="C325";
target_field_name="FOREIGN_CASH_IN_AMOUNT";
if (FOREIGN_CASH_IN_AMOUNT <= 0 or index(put(FOREIGN_CASH_IN_AMOUNT,Z15.) ,'E') > 0) and (FOREIGN_CASH_IN_AMOUNT >  .) then output;

/*C326: Foreign cash-in country is not a valid country code.*/
error_code="C326";
target_field_name="FOREIGN_CASH_IN_COUNTRY_CODE";
if (put(FOREIGN_CASH_IN_COUNTRY_CODE,$RT_COUNTRY.) ne 'VALID') and (FOREIGN_CASH_IN_COUNTRY_CODE ne ' ') then output;
%mend;


%MACRO VLDT_CTR_3C;

/*C340: Foreign cash-out amount contains non-numeric values or is in an invalid format.*/
error_code="C340";
target_field_name="FOREIGN_CASH_OUT_AMOUNT";
if (FOREIGN_CASH_OUT_AMOUNT <= 0 or index(put(FOREIGN_CASH_OUT_AMOUNT,Z15.) ,'E') > 0) and (FOREIGN_CASH_OUT_AMOUNT >  .) then output;

/*C341: Foreign cash-out country is not a valid country code.*/
error_code="C341";
target_field_name="FOREIGN_CASH_OUT_COUNTRY_CODE";
if (put(FOREIGN_CASH_OUT_COUNTRY_CODE,$RT_COUNTRY.) ne 'VALID') and (FOREIGN_CASH_OUT_COUNTRY_CODE ne ' ') then output;
%mend;


%MACRO VLDT_CTR_4A;

/*C401: Person last/legal name is blank.*/
error_code="C401";
target_field_name="LAST_NM";
if (LAST_NM = ' ') and (LAST_NM_UNK_FLG ne 'X') then output;

/*C402: Person first name is blank.*/
error_code="C402";
target_field_name="FIRST_NM";
if (FIRST_NM = ' ') and (FIRST_NM_UNK_FLG ne 'X') then output;

/*C403: Person gender contains an invalid code.*/
error_code="C403";
target_field_name="GENDER_CODE";
if (index("ABC",strip(GENDER_CODE))=0) and (GENDER_CODE ne ' ') then output;

/*C404: Person street address is blank.*/
error_code="C404";
target_field_name="ADDRESS";
if (ADDRESS = ' ') and (ADDRESS_UNK_FLG ne 'X') then output;

/*C405: Person city is blank.*/
error_code="C405";
target_field_name="CITY_NM";
if (CITY_NM = ' ') and (CITY_UNK_FLG ne 'X') then output;

/*C406: Person state is not a valid state code and person country is equal to CA, MX, or US.*/
error_code="C406";
target_field_name="STATE_CODE";
if (put(strip(COUNTRY_CODE)||'_'||strip(STATE_CODE),$RT_STATE_PROVINCE.) ne 'VALID') and (STATE_CODE ne ' ' and (COUNTRY_CODE in ('CA' 'MX' 'US'))) then output;

/*C407: Person state is blank and person country is equal to CA, MX, or US.*/
error_code="C407";
target_field_name="STATE_CODE";
if (STATE_CODE  < .) and (STATE_UNK_FLG ne 'X' and COUNTRY_CODE in ('CA' 'MX' 'US')) then output;

/*C408: Person ZIP Code or foreign postal code is blank.*/
error_code="C408";
target_field_name="POSTAL_CODE";
if (POSTAL_CODE = ' ') and (POSTAL_CODE_UNK_FLG ne 'X') then output;

/*C409: Person ZIP Code is a nine digit code ending in four zeros/nines and person country is equal to US.*/
error_code="C409";
target_field_name="POSTAL_CODE";
if (POSTAL_CODE ne compress(POSTAL_CODE,'0123456789','k')  or substr(POSTAL_CODE,6,4)='0000'  or  substr(POSTAL_CODE,6,4)='9999') and (length(POSTAL_CODE)=9 and country_code='US') then output;

/*C410: Person ZIP Code is not equal to five or nine digits or contains non-numeric values and person country is  equal to US.*/
error_code="C410";
target_field_name="POSTAL_CODE";
if (( length(POSTAL_CODE) ne 5 and  length(POSTAL_CODE) ne 9) or  (POSTAL_CODE ne compress(POSTAL_CODE,'0123456789','k'))) and (POSTAL_CODE ne ' ' and country_code='US') then output;

/*C411: Person country is blank.*/
error_code="C411";
target_field_name="COUNTRY_CODE";
if (COUNTRY_CODE = ' ') and (COUNTRY_UNK_FLG ne 'X') then output;

/*C412: Person country is not a valid country code.*/
error_code="C412";
target_field_name="COUNTRY_CODE";
if (put(COUNTRY_CODE,$RT_COUNTRY.) ne 'VALID') and (COUNTRY_CODE ne ' ') then output;

/*C413: Person TIN is blank.*/
error_code="C413";
target_field_name="TAX_ID";
if (TAX_ID = ' ') and (TAX_ID_UNK_FLG ne 'X') then output;

/*C414: Person TIN is an invalid number string such as all zeros, all nines, 123456789, or a U.S. TIN and not nine digits.*/
error_code="C414";
target_field_name="TAX_ID";
if (length(TAX_ID) ne 9 or TAX_ID='123456789' or TAX_ID='000000000' or  TAX_ID='999999999') and (TAX_ID ne ' ') then output;

/*C415: Person TIN type is blank.*/
error_code="C415";
target_field_name="TAX_ID_TYPE_CODE";
if (TAX_ID_TYPE_CODE = ' ') and (TAX_ID_UNK_FLG ne 'X') then output;

/*C416: Person TIN type contains an invalid code.*/
error_code="C416";
target_field_name="TAX_ID_TYPE_CODE";
if (index("ABC",strip(TAX_ID_TYPE_CODE))=0) and (TAX_ID_TYPE_CODE ne ' ') then output;

/*C417: Person date of birth is blank.*/
error_code="C417";
target_field_name="BIRTH_DATE";
if (BIRTH_DATE  = .) and (BIRTH_DATE_UNK_FLG ne 'X') then output;

/*C418: Person date of birth is less than January 1, 1900.*/
error_code="C418";
target_field_name="BIRTH_DATE";
if (BIRTH_DATE  < mdy(1,1,1900)) and (BIRTH_DATE > .) then output;

/**** SKIP *****/

/*C419: Person date of birth contains non-numeric values or is in an invalid format.*/

/*C420: Person telephone number contains non-numeric values or is in an invalid format.*/
error_code="C420";
target_field_name="PHONE_NO";
if ((PHONE_NO ne compress(PHONE_NO,'0123456789','k'))) and (PHONE_NO > ' ') then output;

/*C421: Person e-mail address is in an invalid format.*/
error_code="C421";
target_field_name="EMAIL_ADDRESS";
if (prxmatch("/[^@]+@[^@]+\.[^@]+/", EMAIL_ADDRESS) = 0) and (EMAIL_ADDRESS ne ' ') then output;

/*C422: Person identification is blank.*/
error_code="C422";
target_field_name="ID_TYPE_CODE";
if ID_TYPE_CODE=""  then output;

/*C423: Person identification type contains an invalid code.*/
error_code="C423";
target_field_name="ID_TYPE_CODE";
if (index("ABCDZ",strip(ID_TYPE_CODE))=0) and (ID_TYPE_CODE ne ' ') then output;

/*C424: Person identification other description is blank.*/
error_code="C424";
target_field_name="ID_TYPE_OTHER";
if (ID_TYPE_OTHER = ' ') and (index(ID_TYPE_CODE,"Z") > 0) then output;

/*C425: Person identification issuing state is not a valid state code and person country is equal to CA,  MX, or US.*/
error_code="C425";
target_field_name="ID_AUTHORITY_STATE_CODE";
if (put(strip(ID_AUTHORITY_COUNTRY_CODE)||'_'||strip(ID_AUTHORITY_STATE_CODE),$RT_STATE_PROVINCE.) ne 'VALID') and (ID_AUTHORITY_STATE_CODE ne ' ' and (ID_AUTHORITY_COUNTRY_CODE in ('CA' 'MX' 'US'))) then output;

/*C426: Person identification issuing country is not a valid country code.*/
error_code="C426";
target_field_name="ID_AUTHORITY_COUNTRY_CODE";
if (put(ID_AUTHORITY_COUNTRY_CODE,$RT_COUNTRY.) ne 'VALID') and (ID_AUTHORITY_COUNTRY_CODE ne ' ') then output;

/*C427: Cash-in amount for the person involved in the transaction contains non-numeric values or is in an invalid format.*/
error_code="C427";
target_field_name="CASH_IN_AMOUNT";
if (CASH_IN_AMOUNT <= 0 or index(put(CASH_IN_AMOUNT,Z15.) ,'E') > 0) and (CASH_IN_AMOUNT >  .) then output;

/*C428: Cash-out amount for the person involved in the transaction contains non-numeric values or is in an invalid format.*/
error_code="C428";
target_field_name="CASH_OUT_AMOUNT";
if (CASH_OUT_AMOUNT <= 0 or index(put(CASH_OUT_AMOUNT,Z15.) ,'E') > 0) and (CASH_OUT_AMOUNT >  .) then output;

/*C429: Person identification number is blank.*/
error_code="C429";
target_field_name="ID_NUMBER";
if (ID_NUMBER = ' ') and (ID_TYPE_CODE ne 'A' and ID_TYPE_CODE ne ' ') then output;

/*Z401: Person Involved Type is blank.*/
error_code="Z401";
target_field_name="PERSON_INVOLVED_TYPE_CODE";
if PERSON_INVOLVED_TYPE_CODE=""  then output;
%mend;


%MACRO VLDT_CTR;

  proc sql;
   /* F16: A required 1A record is missing from the submitted file. */
   insert into ctr_error ( error_record_type, error_code, target_field_name, report_key, entity_key, entity_level_code)
   select '' ,
          'F16',
          'TRANSMITTER_TAX_ID',
          report_key, 
          . ,
          "TRANSMITTER"  
   from ctr_1a
   where transmitter_tax_id=''
   ;

   insert into ctr_error ( error_record_type, error_code, target_field_name, report_key, entity_key, entity_level_code)
   /* F11: A required 2A record is missing from the submitted file. */
   select '' ,
          'F11',
          'INSTITUTION_TAX_ID',
          report_key, 
          . ,
          "INSTITUTION"  
   from ctr_2a
   where institution_tax_id=''
   ;

   /* F12: A required 2B record is missing from the submitted file. */
   insert into ctr_error ( error_record_type, error_code, target_field_name, report_key, entity_key, entity_level_code)
   select '' ,
          'F12',
          'BRANCH_NUMBER',
          report_key, 
          . ,
          "BRANCH"  
   from ctr_9A
   where branch_count=0
   ;
   
  /* F14: A required 4A record is missing from the submitted file. */
     insert into ctr_error ( error_record_type, error_code, target_field_name, report_key, entity_key, entity_level_code)
     select '' ,
            'F14',
            'PARTY_NUMBER',
            report_key, 
            . ,
            "PARTY"  
     from ctr_9A
     where subject_count=0
  ;
            
    
  

%MEND;

