/* MAINDOC
+------------------------------------------------------------------------------+
| NAME:    rc_resp_fincen_doep
| PRODUCT: SAS Regulatory Console
| SYSTEM:  Windows, Unix
| DESC:    Process DOEP response file. 
|          
+------------------------------------------------------------------------------+
| USAGE:    indsn_response_meta=name of reponse metadata table               
|           response_type_code=type of response file (ASC for acknowledgement  
|                            receipts.                                       
|           infref=file reference for the directory where DOEP responses can  
|                  be found.                                                 
+------------------------------------------------------------------------------+
MAINDOCEND */

/*-------------------------------------------------------------------
 * Copyright (c) 2016 by SAS Institute Inc., Cary, NC 27513 USA
 *  ---All Rights Reserved.
 *-------------------------------------------------------------------*/


%macro rc_resp_fincen_doep(       indsn_response_meta=
                                , response_type_code=ASC
                                , infref= 
                                , testYN=N 
                          );
 

%if %upcase(&response_type_code) eq ASC or  %upcase(&response_type_code) eq ACKED %then %do;

    /* read the DOEP response file */
    
    %rc_resp_fincen_doep_read(infref=&infref);  
    %if &trans_rc eq 3 or &trans_rc ge 5 %then %goto MACRO_END;  
  
    /* Add the response data to response tables in RC_DB */
     
    %rc_resp_fincen_update(   indsn_response_meta=&indsn_response_meta
                               , indsn_error_codes=_doep_error_codes
                               , indsn_1A=_1A
                               , indsn_3A=_3A
                               , form_type_code=DOEP
                               , testYN=&testYN
                             );
                             
      %if &trans_rc eq 3 or &trans_rc ge 5 %then %goto MACRO_END; 
    
%end;

%MACRO_END:    

  
    %if &trans_rc eq 3 or &trans_rc ge 5 %then 
      %fcf_execute_macro(fcf_error);
    %else %do;
      %fcf_execute_macro(fcf_success);
    %end;
   

%mend;
